## org.eclipse.jst.jsf.facesconfig.emf
Interface FacesConfigPackage.Literals

Enclosing interface:
  FacesConfigPackage

    public static interface FacesConfigPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EClass` `ABSOLUTE_ORDERING_TYPE` The meta object literal for the '`Absolute Ordering Type`' class
`static EReference` `ABSOLUTE_ORDERING_TYPE__NAME` The meta object literal for the 'Name' containment reference list feature
`static EReference` `ABSOLUTE_ORDERING_TYPE__OTHERS` The meta object literal for the 'Others' containment reference feature
`static EClass` `ACTION_LISTENER_TYPE` The meta object literal for the '`Action Listener Type`' class
`static EAttribute` `ACTION_LISTENER_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `ACTION_LISTENER_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `APPLICATION_EXTENSION_TYPE` The meta object literal for the '`Application Extension Type`' class
`static EClass` `APPLICATION_FACTORY_TYPE` The meta object literal for the '`Application Factory Type`' class
`static EAttribute` `APPLICATION_FACTORY_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `APPLICATION_FACTORY_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `APPLICATION_TYPE` The meta object literal for the '`Application Type`' class
`static EReference` `APPLICATION_TYPE__ACTION_LISTENER` The meta object literal for the 'Action Listener' containment reference list feature
`static EReference` `APPLICATION_TYPE__APPLICATION_EXTENSION` The meta object literal for the 'Application Extension' reference list feature
`static EReference` `APPLICATION_TYPE__DEFAULT_RENDER_KIT_ID` The meta object literal for the 'Default Render Kit Id' containment reference list feature
`static EReference` `APPLICATION_TYPE__DEFAULT_VALIDATORS` The meta object literal for the 'Default Validators' reference list feature
`static EReference` `APPLICATION_TYPE__EL_RESOLVER` The meta object literal for the 'EL Resolver' reference list feature
`static EAttribute` `APPLICATION_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EReference` `APPLICATION_TYPE__LOCALE_CONFIG` The meta object literal for the 'Locale Config' containment reference list feature
`static EReference` `APPLICATION_TYPE__MESSAGE_BUNDLE` The meta object literal for the 'Message Bundle' containment reference list feature
`static EReference` `APPLICATION_TYPE__NAVIGATION_HANDLER` The meta object literal for the 'Navigation Handler' containment reference list feature
`static EReference` `APPLICATION_TYPE__PROPERTY_RESOLVER` The meta object literal for the 'Property Resolver' containment reference list feature
`static EReference` `APPLICATION_TYPE__RESOURCE_BUNDLE` The meta object literal for the 'Resource Bundle' reference list feature
`static EReference` `APPLICATION_TYPE__RESOURCE_HANDLER` The meta object literal for the 'Resource Handler' containment reference list feature
`static EReference` `APPLICATION_TYPE__STATE_MANAGER` The meta object literal for the 'State Manager' containment reference list feature
`static EReference` `APPLICATION_TYPE__SYSTEM_EVENT_LISTENER` The meta object literal for the 'System Event Listener' reference list feature
`static EReference` `APPLICATION_TYPE__VARIABLE_RESOLVER` The meta object literal for the 'Variable Resolver' containment reference list feature
`static EReference` `APPLICATION_TYPE__VIEW_HANDLER` The meta object literal for the 'View Handler' containment reference list feature
`static EClass` `ATTRIBUTE_CLASS_TYPE` The meta object literal for the '`Attribute Class Type`' class
`static EAttribute` `ATTRIBUTE_CLASS_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `ATTRIBUTE_CLASS_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `ATTRIBUTE_EXTENSION_TYPE` The meta object literal for the '`Attribute Extension Type`' class
`static EClass` `ATTRIBUTE_NAME_TYPE` The meta object literal for the '`Attribute Name Type`' class
`static EAttribute` `ATTRIBUTE_NAME_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `ATTRIBUTE_NAME_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `ATTRIBUTE_TYPE` The meta object literal for the '`Attribute Type`' class
`static EReference` `ATTRIBUTE_TYPE__ATTRIBUTE_CLASS` The meta object literal for the 'Attribute Class' containment reference feature
`static EReference` `ATTRIBUTE_TYPE__ATTRIBUTE_EXTENSION` The meta object literal for the 'Attribute Extension' containment reference list feature
`static EReference` `ATTRIBUTE_TYPE__ATTRIBUTE_NAME` The meta object literal for the 'Attribute Name' containment reference feature
`static EReference` `ATTRIBUTE_TYPE__DEFAULT_VALUE` The meta object literal for the 'Default Value' containment reference feature
`static EReference` `ATTRIBUTE_TYPE__DESCRIPTION` The meta object literal for the 'Description' containment reference list feature
`static EReference` `ATTRIBUTE_TYPE__DISPLAY_NAME` The meta object literal for the 'Display Name' containment reference list feature
`static EReference` `ATTRIBUTE_TYPE__ICON` The meta object literal for the 'Icon' containment reference list feature
`static EAttribute` `ATTRIBUTE_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EReference` `ATTRIBUTE_TYPE__SUGGESTED_VALUE` The meta object literal for the 'Suggested Value' containment reference feature
`static EClass` `BASE_NAME_TYPE` The meta object literal for the '`Base Name Type`' class
`static EAttribute` `BASE_NAME_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `BASE_NAME_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `BEHAVIOR_CLASS_TYPE` The meta object literal for the '`Behavior Class Type`' class
`static EAttribute` `BEHAVIOR_CLASS_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `BEHAVIOR_CLASS_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `BEHAVIOR_EXTENSION_TYPE` The meta object literal for the '`Behavior Extension Type`' class
`static EClass` `BEHAVIOR_ID_TYPE` The meta object literal for the '`Behavior Id Type`' class
`static EAttribute` `BEHAVIOR_ID_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `BEHAVIOR_ID_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `BEHAVIOR_TYPE` The meta object literal for the '`Behavior Type`' class
`static EReference` `BEHAVIOR_TYPE__ATTRIBUTE` The meta object literal for the 'Attribute' containment reference list feature
`static EReference` `BEHAVIOR_TYPE__BEHAVIOR_CLASS` The meta object literal for the 'Behavior Class' containment reference feature
`static EReference` `BEHAVIOR_TYPE__BEHAVIOR_EXTENSION` The meta object literal for the 'Behavior Extension' containment reference list feature
`static EReference` `BEHAVIOR_TYPE__BEHAVIOR_ID` The meta object literal for the 'Behavior Id' containment reference feature
`static EReference` `BEHAVIOR_TYPE__DESCRIPTION` The meta object literal for the 'Description' containment reference list feature
`static EReference` `BEHAVIOR_TYPE__DISPLAY_NAME` The meta object literal for the 'Display Name' containment reference list feature
`static EReference` `BEHAVIOR_TYPE__ICON` The meta object literal for the 'Icon' containment reference list feature
`static EReference` `BEHAVIOR_TYPE__PROPERTY` The meta object literal for the 'Property' containment reference list feature
`static EClass` `CLIENT_BEHAVIOR_RENDERER_CLASS_TYPE` The meta object literal for the '`Client Behavior Renderer Class Type`' class
`static EAttribute` `CLIENT_BEHAVIOR_RENDERER_CLASS_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `CLIENT_BEHAVIOR_RENDERER_CLASS_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `CLIENT_BEHAVIOR_RENDERER_TYPE` The meta object literal for the '`Client Behavior Renderer Type`' class
`static EReference` `CLIENT_BEHAVIOR_RENDERER_TYPE__CLIENT_BEHAVIOR_RENDERER_CLASS` The meta object literal for the 'Client Behavior Renderer Class' containment reference feature
`static EReference` `CLIENT_BEHAVIOR_RENDERER_TYPE__CLIENT_BEHAVIOR_RENDERER_TYPE` The meta object literal for the 'Client Behavior Renderer Type' containment reference feature
`static EClass` `CLIENT_BEHAVIOR_RENDERER_TYPE_TYPE` The meta object literal for the '`Client Behavior Renderer Type Type`' class
`static EAttribute` `CLIENT_BEHAVIOR_RENDERER_TYPE_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `CLIENT_BEHAVIOR_RENDERER_TYPE_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `COMPONENT_CLASS_TYPE` The meta object literal for the '`Component Class Type`' class
`static EAttribute` `COMPONENT_CLASS_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `COMPONENT_CLASS_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `COMPONENT_EXTENSION_TYPE` The meta object literal for the '`Component Extension Type`' class
`static EClass` `COMPONENT_FAMILY_TYPE` The meta object literal for the '`Component Family Type`' class
`static EAttribute` `COMPONENT_FAMILY_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `COMPONENT_FAMILY_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `COMPONENT_TYPE` The meta object literal for the '`Component Type`' class
`static EReference` `COMPONENT_TYPE__ATTRIBUTE` The meta object literal for the 'Attribute' containment reference list feature
`static EReference` `COMPONENT_TYPE__COMPONENT_CLASS` The meta object literal for the 'Component Class' containment reference feature
`static EReference` `COMPONENT_TYPE__COMPONENT_EXTENSION` The meta object literal for the 'Component Extension' containment reference list feature
`static EReference` `COMPONENT_TYPE__COMPONENT_TYPE` The meta object literal for the 'Component Type' containment reference feature
`static EReference` `COMPONENT_TYPE__DESCRIPTION` The meta object literal for the 'Description' containment reference list feature
`static EReference` `COMPONENT_TYPE__DISPLAY_NAME` The meta object literal for the 'Display Name' containment reference list feature
`static EReference` `COMPONENT_TYPE__FACET` The meta object literal for the 'Facet' containment reference list feature
`static EReference` `COMPONENT_TYPE__ICON` The meta object literal for the 'Icon' containment reference list feature
`static EAttribute` `COMPONENT_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EReference` `COMPONENT_TYPE__PROPERTY` The meta object literal for the 'Property' containment reference list feature
`static EClass` `COMPONENT_TYPE_TYPE` The meta object literal for the '`Component Type Type`' class
`static EAttribute` `COMPONENT_TYPE_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `COMPONENT_TYPE_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `CONVERTER_CLASS_TYPE` The meta object literal for the '`Converter Class Type`' class
`static EAttribute` `CONVERTER_CLASS_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `CONVERTER_CLASS_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `CONVERTER_EXTENSION_TYPE` The meta object literal for the '`Converter Extension Type`' class
`static EClass` `CONVERTER_FOR_CLASS_TYPE` The meta object literal for the '`Converter For Class Type`' class
`static EAttribute` `CONVERTER_FOR_CLASS_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `CONVERTER_FOR_CLASS_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `CONVERTER_ID_TYPE` The meta object literal for the '`Converter Id Type`' class
`static EAttribute` `CONVERTER_ID_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `CONVERTER_ID_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `CONVERTER_TYPE` The meta object literal for the '`Converter Type`' class
`static EReference` `CONVERTER_TYPE__ATTRIBUTE` The meta object literal for the 'Attribute' containment reference list feature
`static EReference` `CONVERTER_TYPE__CONVERTER_CLASS` The meta object literal for the 'Converter Class' containment reference feature
`static EReference` `CONVERTER_TYPE__CONVERTER_EXTENSION` The meta object literal for the 'Converter Extension' containment reference list feature
`static EReference` `CONVERTER_TYPE__CONVERTER_FOR_CLASS` The meta object literal for the 'Converter For Class' containment reference feature
`static EReference` `CONVERTER_TYPE__CONVERTER_ID` The meta object literal for the 'Converter Id' containment reference feature
`static EReference` `CONVERTER_TYPE__DESCRIPTION` The meta object literal for the 'Description' containment reference list feature
`static EReference` `CONVERTER_TYPE__DISPLAY_NAME` The meta object literal for the 'Display Name' containment reference list feature
`static EReference` `CONVERTER_TYPE__ICON` The meta object literal for the 'Icon' containment reference list feature
`static EAttribute` `CONVERTER_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EReference` `CONVERTER_TYPE__PROPERTY` The meta object literal for the 'Property' containment reference list feature
`static EClass` `DEFAULT_LOCALE_TYPE` The meta object literal for the '`Default Locale Type`' class
`static EAttribute` `DEFAULT_LOCALE_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `DEFAULT_LOCALE_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `DEFAULT_RENDER_KIT_ID_TYPE` The meta object literal for the '`Default Render Kit Id Type`' class
`static EAttribute` `DEFAULT_RENDER_KIT_ID_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `DEFAULT_RENDER_KIT_ID_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `DEFAULT_VALIDATORS_TYPE` The meta object literal for the '`Default Validators Type`' class
`static EAttribute` `DEFAULT_VALIDATORS_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EReference` `DEFAULT_VALIDATORS_TYPE__VALIDATOR_ID` The meta object literal for the 'Validator Id' containment reference list feature
`static EClass` `DEFAULT_VALUE_TYPE` The meta object literal for the '`Default Value Type`' class
`static EAttribute` `DEFAULT_VALUE_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `DEFAULT_VALUE_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `DESCRIPTION_TYPE` The meta object literal for the '`Description Type`' class
`static EAttribute` `DESCRIPTION_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `DESCRIPTION_TYPE__LANG` The meta object literal for the 'Lang' attribute feature
`static EAttribute` `DESCRIPTION_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `DISPLAY_NAME_TYPE` The meta object literal for the '`Display Name Type`' class
`static EAttribute` `DISPLAY_NAME_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `DISPLAY_NAME_TYPE__LANG` The meta object literal for the 'Lang' attribute feature
`static EAttribute` `DISPLAY_NAME_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `DOCUMENT_ROOT` The meta object literal for the '`Document Root`' class
`static EReference` `DOCUMENT_ROOT__ABSOLUTE_ORDERING` The meta object literal for the 'Absolute Ordering' containment reference feature
`static EReference` `DOCUMENT_ROOT__ACTION_LISTENER` The meta object literal for the 'Action Listener' containment reference feature
`static EReference` `DOCUMENT_ROOT__APPLICATION` The meta object literal for the 'Application' containment reference feature
`static EReference` `DOCUMENT_ROOT__APPLICATION_FACTORY` The meta object literal for the 'Application Factory' containment reference feature
`static EReference` `DOCUMENT_ROOT__ATTRIBUTE` The meta object literal for the 'Attribute' containment reference feature
`static EReference` `DOCUMENT_ROOT__ATTRIBUTE_CLASS` The meta object literal for the 'Attribute Class' containment reference feature
`static EReference` `DOCUMENT_ROOT__ATTRIBUTE_EXTENSION` The meta object literal for the 'Attribute Extension' containment reference feature
`static EReference` `DOCUMENT_ROOT__ATTRIBUTE_NAME` The meta object literal for the 'Attribute Name' containment reference feature
`static EReference` `DOCUMENT_ROOT__BEHAVIOR` The meta object literal for the 'Behavior' containment reference feature
`static EReference` `DOCUMENT_ROOT__BEHAVIOR_CLASS` The meta object literal for the 'Behavior Class' containment reference feature
`static EReference` `DOCUMENT_ROOT__BEHAVIOR_EXTENSION` The meta object literal for the 'Behavior Extension' containment reference feature
`static EReference` `DOCUMENT_ROOT__BEHAVIOR_ID` The meta object literal for the 'Behavior Id' containment reference feature
`static EReference` `DOCUMENT_ROOT__COMPONENT` The meta object literal for the 'Component' containment reference feature
`static EReference` `DOCUMENT_ROOT__COMPONENT_CLASS` The meta object literal for the 'Component Class' containment reference feature
`static EReference` `DOCUMENT_ROOT__COMPONENT_EXTENSION` The meta object literal for the 'Component Extension' containment reference feature
`static EReference` `DOCUMENT_ROOT__COMPONENT_FAMILY` The meta object literal for the 'Component Family' containment reference feature
`static EReference` `DOCUMENT_ROOT__COMPONENT_TYPE` The meta object literal for the 'Component Type' containment reference feature
`static EReference` `DOCUMENT_ROOT__CONVERTER` The meta object literal for the 'Converter' containment reference feature
`static EReference` `DOCUMENT_ROOT__CONVERTER_CLASS` The meta object literal for the 'Converter Class' containment reference feature
`static EReference` `DOCUMENT_ROOT__CONVERTER_FOR_CLASS` The meta object literal for the 'Converter For Class' containment reference feature
`static EReference` `DOCUMENT_ROOT__CONVERTER_ID` The meta object literal for the 'Converter Id' containment reference feature
`static EReference` `DOCUMENT_ROOT__DEFAULT_LOCALE` The meta object literal for the 'Default Locale' containment reference feature
`static EReference` `DOCUMENT_ROOT__DEFAULT_RENDER_KIT_ID` The meta object literal for the 'Default Render Kit Id' containment reference feature
`static EReference` `DOCUMENT_ROOT__DEFAULT_VALIDATORS` The meta object literal for the 'Default Validators' containment reference feature
`static EReference` `DOCUMENT_ROOT__DEFAULT_VALUE` The meta object literal for the 'Default Value' containment reference feature
`static EReference` `DOCUMENT_ROOT__DESCRIPTION` The meta object literal for the 'Description' containment reference feature
`static EReference` `DOCUMENT_ROOT__DISPLAY_NAME` The meta object literal for the 'Display Name' containment reference feature
`static EReference` `DOCUMENT_ROOT__EXCEPTION_HANDLER_FACTORY` The meta object literal for the 'Exception Handler Factory' containment reference feature
`static EReference` `DOCUMENT_ROOT__EXTERNAL_CONTEXT_FACTORY` The meta object literal for the 'External Context Factory' containment reference feature
`static EReference` `DOCUMENT_ROOT__FACES_CONFIG` The meta object literal for the 'Faces Config' containment reference feature
`static EReference` `DOCUMENT_ROOT__FACES_CONTEXT_FACTORY` The meta object literal for the 'Faces Context Factory' containment reference feature
`static EReference` `DOCUMENT_ROOT__FACET` The meta object literal for the 'Facet' containment reference feature
`static EReference` `DOCUMENT_ROOT__FACET_EXTENSION` The meta object literal for the 'Facet Extension' containment reference feature
`static EReference` `DOCUMENT_ROOT__FACET_NAME` The meta object literal for the 'Facet Name' containment reference feature
`static EReference` `DOCUMENT_ROOT__FACTORY` The meta object literal for the 'Factory' containment reference feature
`static EReference` `DOCUMENT_ROOT__FROM_ACTION` The meta object literal for the 'From Action' containment reference feature
`static EReference` `DOCUMENT_ROOT__FROM_OUTCOME` The meta object literal for the 'From Outcome' containment reference feature
`static EReference` `DOCUMENT_ROOT__FROM_VIEW_ID` The meta object literal for the 'From View Id' containment reference feature
`static EReference` `DOCUMENT_ROOT__ICON` The meta object literal for the 'Icon' containment reference feature
`static EReference` `DOCUMENT_ROOT__IF` The meta object literal for the 'If' containment reference feature
`static EReference` `DOCUMENT_ROOT__KEY` The meta object literal for the 'Key' containment reference feature
`static EReference` `DOCUMENT_ROOT__KEY_CLASS` The meta object literal for the 'Key Class' containment reference feature
`static EReference` `DOCUMENT_ROOT__LARGE_ICON` The meta object literal for the 'Large Icon' containment reference feature
`static EReference` `DOCUMENT_ROOT__LIFECYCLE` The meta object literal for the 'Lifecycle' containment reference feature
`static EReference` `DOCUMENT_ROOT__LIFECYCLE_FACTORY` The meta object literal for the 'Lifecycle Factory' containment reference feature
`static EReference` `DOCUMENT_ROOT__LIST_ENTRIES` The meta object literal for the 'List Entries' containment reference feature
`static EReference` `DOCUMENT_ROOT__LOCALE_CONFIG` The meta object literal for the 'Locale Config' containment reference feature
`static EReference` `DOCUMENT_ROOT__MANAGED_BEAN` The meta object literal for the 'Managed Bean' containment reference feature
`static EReference` `DOCUMENT_ROOT__MANAGED_BEAN_CLASS` The meta object literal for the 'Managed Bean Class' containment reference feature
`static EReference` `DOCUMENT_ROOT__MANAGED_BEAN_NAME` The meta object literal for the 'Managed Bean Name' containment reference feature
`static EReference` `DOCUMENT_ROOT__MANAGED_BEAN_SCOPE` The meta object literal for the 'Managed Bean Scope' containment reference feature
`static EReference` `DOCUMENT_ROOT__MANAGED_PROPERTY` The meta object literal for the 'Managed Property' containment reference feature
`static EReference` `DOCUMENT_ROOT__MAP_ENTRIES` The meta object literal for the 'Map Entries' containment reference feature
`static EReference` `DOCUMENT_ROOT__MAP_ENTRY` The meta object literal for the 'Map Entry' containment reference feature
`static EReference` `DOCUMENT_ROOT__MESSAGE_BUNDLE` The meta object literal for the 'Message Bundle' containment reference feature
`static EAttribute` `DOCUMENT_ROOT__MIXED` The meta object literal for the 'Mixed' attribute list feature
`static EReference` `DOCUMENT_ROOT__NAME` The meta object literal for the 'Name' containment reference feature
`static EReference` `DOCUMENT_ROOT__NAVIGATION_CASE` The meta object literal for the 'Navigation Case' containment reference feature
`static EReference` `DOCUMENT_ROOT__NAVIGATION_HANDLER` The meta object literal for the 'Navigation Handler' containment reference feature
`static EReference` `DOCUMENT_ROOT__NAVIGATION_RULE` The meta object literal for the 'Navigation Rule' containment reference feature
`static EReference` `DOCUMENT_ROOT__NULL_VALUE` The meta object literal for the 'Null Value' containment reference feature
`static EReference` `DOCUMENT_ROOT__ORDERING` The meta object literal for the 'Ordering' containment reference feature
`static EReference` `DOCUMENT_ROOT__ORDERING_ORDERING` The meta object literal for the 'Ordering Ordering' containment reference feature
`static EReference` `DOCUMENT_ROOT__OTHERS` The meta object literal for the 'Others' containment reference feature
`static EReference` `DOCUMENT_ROOT__PARTIAL_VIEW_CONTEXT_FACTORY` The meta object literal for the 'Partial View Context Factory' containment reference feature
`static EReference` `DOCUMENT_ROOT__PHASE_LISTENER` The meta object literal for the 'Phase Listener' containment reference feature
`static EReference` `DOCUMENT_ROOT__PROPERTY` The meta object literal for the 'Property' containment reference feature
`static EReference` `DOCUMENT_ROOT__PROPERTY_CLASS` The meta object literal for the 'Property Class' containment reference feature
`static EReference` `DOCUMENT_ROOT__PROPERTY_EXTENSION` The meta object literal for the 'Property Extension' containment reference feature
`static EReference` `DOCUMENT_ROOT__PROPERTY_NAME` The meta object literal for the 'Property Name' containment reference feature
`static EReference` `DOCUMENT_ROOT__PROPERTY_RESOLVER` The meta object literal for the 'Property Resolver' containment reference feature
`static EReference` `DOCUMENT_ROOT__REDIRECT` The meta object literal for the 'Redirect' containment reference feature
`static EReference` `DOCUMENT_ROOT__REDIRECT_VIEW_PARAM` The meta object literal for the 'Redirect View Param' containment reference feature
`static EReference` `DOCUMENT_ROOT__REFERENCED_BEAN` The meta object literal for the 'Referenced Bean' containment reference feature
`static EReference` `DOCUMENT_ROOT__REFERENCED_BEAN_CLASS` The meta object literal for the 'Referenced Bean Class' containment reference feature
`static EReference` `DOCUMENT_ROOT__REFERENCED_BEAN_NAME` The meta object literal for the 'Referenced Bean Name' containment reference feature
`static EReference` `DOCUMENT_ROOT__RENDER_KIT` The meta object literal for the 'Render Kit' containment reference feature
`static EReference` `DOCUMENT_ROOT__RENDER_KIT_CLASS` The meta object literal for the 'Render Kit Class' containment reference feature
`static EReference` `DOCUMENT_ROOT__RENDER_KIT_FACTORY` The meta object literal for the 'Render Kit Factory' containment reference feature
`static EReference` `DOCUMENT_ROOT__RENDER_KIT_ID` The meta object literal for the 'Render Kit Id' containment reference feature
`static EReference` `DOCUMENT_ROOT__RENDERER` The meta object literal for the 'Renderer' containment reference feature
`static EReference` `DOCUMENT_ROOT__RENDERER_CLASS` The meta object literal for the 'Renderer Class' containment reference feature
`static EReference` `DOCUMENT_ROOT__RENDERER_EXTENSION` The meta object literal for the 'Renderer Extension' containment reference feature
`static EReference` `DOCUMENT_ROOT__RENDERER_TYPE` The meta object literal for the 'Renderer Type' containment reference feature
`static EReference` `DOCUMENT_ROOT__RESOURCE_HANDLER` The meta object literal for the 'Resource Handler' containment reference feature
`static EReference` `DOCUMENT_ROOT__SMALL_ICON` The meta object literal for the 'Small Icon' containment reference feature
`static EReference` `DOCUMENT_ROOT__SOURCE_CLASS` The meta object literal for the 'Source Class' containment reference feature
`static EReference` `DOCUMENT_ROOT__STATE_MANAGER` The meta object literal for the 'State Manager' containment reference feature
`static EReference` `DOCUMENT_ROOT__SUGGESTED_VALUE` The meta object literal for the 'Suggested Value' containment reference feature
`static EReference` `DOCUMENT_ROOT__SUPPORTED_LOCALE` The meta object literal for the 'Supported Locale' containment reference feature
`static EReference` `DOCUMENT_ROOT__SYSTEM_EVENT_CLASS` The meta object literal for the 'System Event Class' containment reference feature
`static EReference` `DOCUMENT_ROOT__SYSTEM_EVENT_LISTENER` The meta object literal for the 'System Event Listener' containment reference feature
`static EReference` `DOCUMENT_ROOT__SYSTEM_EVENT_LISTENER_CLASS` The meta object literal for the 'System Event Listener Class' containment reference feature
`static EReference` `DOCUMENT_ROOT__TAG_HANDLER_DELEGATE_FACTORY` The meta object literal for the 'Tag Handler Delegate Factory' containment reference feature
`static EReference` `DOCUMENT_ROOT__TO_VIEW_ID` The meta object literal for the 'To View Id' containment reference feature
`static EReference` `DOCUMENT_ROOT__VALIDATOR` The meta object literal for the 'Validator' containment reference feature
`static EReference` `DOCUMENT_ROOT__VALIDATOR_CLASS` The meta object literal for the 'Validator Class' containment reference feature
`static EReference` `DOCUMENT_ROOT__VALIDATOR_ID` The meta object literal for the 'Validator Id' containment reference feature
`static EReference` `DOCUMENT_ROOT__VALUE` The meta object literal for the 'Value' containment reference feature
`static EReference` `DOCUMENT_ROOT__VALUE_CLASS` The meta object literal for the 'Value Class' containment reference feature
`static EReference` `DOCUMENT_ROOT__VARIABLE_RESOLVER` The meta object literal for the 'Variable Resolver' containment reference feature
`static EReference` `DOCUMENT_ROOT__VIEW_DECLARATION_LANGUAGE_FACTORY` The meta object literal for the 'View Declaration Language Factory' containment reference feature
`static EReference` `DOCUMENT_ROOT__VIEW_HANDLER` The meta object literal for the 'View Handler' containment reference feature
`static EReference` `DOCUMENT_ROOT__VISIT_CONTEXT_FACTORY` The meta object literal for the 'Visit Context Factory' containment reference feature
`static EReference` `DOCUMENT_ROOT__XMLNS_PREFIX_MAP` The meta object literal for the 'XMLNS Prefix Map' map feature
`static EReference` `DOCUMENT_ROOT__XSI_SCHEMA_LOCATION` The meta object literal for the 'XSI Schema Location' map feature
`static EClass` `DYNAMIC_ATTRIBUTE` The meta object literal for the '`Dynamic Attribute`' class
`static EAttribute` `DYNAMIC_ATTRIBUTE__NAME` The meta object literal for the 'Name' attribute feature
`static EAttribute` `DYNAMIC_ATTRIBUTE__VALUE` The meta object literal for the 'Value' attribute feature
`static EClass` `DYNAMIC_ELEMENT` The meta object literal for the '`Dynamic Element`' class
`static EReference` `DYNAMIC_ELEMENT__ATTRIBUTES` The meta object literal for the 'Attributes' reference list feature
`static EReference` `DYNAMIC_ELEMENT__CHILD_NODES` The meta object literal for the 'Child Nodes' containment reference list feature
`static EAttribute` `DYNAMIC_ELEMENT__NAME` The meta object literal for the 'Name' attribute feature
`static EAttribute` `DYNAMIC_ELEMENT__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `EL_RESOLVER_TYPE` The meta object literal for the '`EL Resolver Type`' class
`static EAttribute` `EL_RESOLVER_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `EL_RESOLVER_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `EXCEPTION_HANDLER_FACTORY_TYPE` The meta object literal for the '`Exception Handler Factory Type`' class
`static EAttribute` `EXCEPTION_HANDLER_FACTORY_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `EXCEPTION_HANDLER_FACTORY_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `EXTENSION_TYPE` The meta object literal for the '`Extension Type`' class
`static EReference` `EXTENSION_TYPE__CHILD_NODES` The meta object literal for the 'Child Nodes' reference list feature
`static EAttribute` `EXTENSION_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `EXTENSION_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `EXTERNAL_CONTEXT_FACTORY_TYPE` The meta object literal for the '`External Context Factory Type`' class
`static EAttribute` `EXTERNAL_CONTEXT_FACTORY_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `EXTERNAL_CONTEXT_FACTORY_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `FACES_CONFIG_EXTENSION_TYPE` The meta object literal for the '`Extension Type`' class
`static EClass` `FACES_CONFIG_TYPE` The meta object literal for the '`Type`' class
`static EReference` `FACES_CONFIG_TYPE__ABSOLUTE_ORDERING` The meta object literal for the 'Absolute Ordering' containment reference feature
`static EReference` `FACES_CONFIG_TYPE__APPLICATION` The meta object literal for the 'Application' containment reference list feature
`static EReference` `FACES_CONFIG_TYPE__BEHAVIOR` The meta object literal for the 'Behavior' containment reference list feature
`static EReference` `FACES_CONFIG_TYPE__COMPONENT` The meta object literal for the 'Component' containment reference list feature
`static EReference` `FACES_CONFIG_TYPE__CONVERTER` The meta object literal for the 'Converter' containment reference list feature
`static EReference` `FACES_CONFIG_TYPE__FACES_CONFIG_EXTENSION` The meta object literal for the 'Faces Config Extension' reference list feature
`static EReference` `FACES_CONFIG_TYPE__FACTORY` The meta object literal for the 'Factory' containment reference list feature
`static EAttribute` `FACES_CONFIG_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EReference` `FACES_CONFIG_TYPE__LIFECYCLE` The meta object literal for the 'Lifecycle' containment reference list feature
`static EReference` `FACES_CONFIG_TYPE__MANAGED_BEAN` The meta object literal for the 'Managed Bean' containment reference list feature
`static EAttribute` `FACES_CONFIG_TYPE__METADATA_COMPLETE` The meta object literal for the 'Metadata Complete' attribute feature
`static EReference` `FACES_CONFIG_TYPE__NAME` The meta object literal for the 'Name' containment reference feature
`static EReference` `FACES_CONFIG_TYPE__NAVIGATION_RULE` The meta object literal for the 'Navigation Rule' containment reference list feature
`static EReference` `FACES_CONFIG_TYPE__ORDERING` The meta object literal for the 'Ordering' containment reference list feature
`static EReference` `FACES_CONFIG_TYPE__REFERENCED_BEAN` The meta object literal for the 'Referenced Bean' containment reference list feature
`static EReference` `FACES_CONFIG_TYPE__RENDER_KIT` The meta object literal for the 'Render Kit' containment reference list feature
`static EReference` `FACES_CONFIG_TYPE__VALIDATOR` The meta object literal for the 'Validator' containment reference list feature
`static EAttribute` `FACES_CONFIG_TYPE__XMLNS` The meta object literal for the 'Xmlns' attribute feature
`static EClass` `FACES_CONTEXT_FACTORY_TYPE` The meta object literal for the '`Faces Context Factory Type`' class
`static EAttribute` `FACES_CONTEXT_FACTORY_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `FACES_CONTEXT_FACTORY_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `FACET_EXTENSION_TYPE` The meta object literal for the '`Facet Extension Type`' class
`static EClass` `FACET_NAME_TYPE` The meta object literal for the '`Facet Name Type`' class
`static EAttribute` `FACET_NAME_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `FACET_NAME_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `FACET_TYPE` The meta object literal for the '`Facet Type`' class
`static EReference` `FACET_TYPE__DESCRIPTION` The meta object literal for the 'Description' containment reference list feature
`static EReference` `FACET_TYPE__DISPLAY_NAME` The meta object literal for the 'Display Name' containment reference list feature
`static EReference` `FACET_TYPE__FACET_EXTENSION` The meta object literal for the 'Facet Extension' containment reference list feature
`static EReference` `FACET_TYPE__FACET_NAME` The meta object literal for the 'Facet Name' containment reference feature
`static EReference` `FACET_TYPE__ICON` The meta object literal for the 'Icon' containment reference list feature
`static EAttribute` `FACET_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EClass` `FACTORY_EXTENSION_TYPE` The meta object literal for the '`Factory Extension Type`' class
`static EClass` `FACTORY_TYPE` The meta object literal for the '`Factory Type`' class
`static EReference` `FACTORY_TYPE__APPLICATION_FACTORY` The meta object literal for the 'Application Factory' containment reference list feature
`static EReference` `FACTORY_TYPE__EXCEPTION_HANDLER_FACTORY` The meta object literal for the 'Exception Handler Factory' containment reference list feature
`static EReference` `FACTORY_TYPE__EXTERNAL_CONTEXT_FACTORY` The meta object literal for the 'External Context Factory' containment reference list feature
`static EReference` `FACTORY_TYPE__FACES_CONTEXT_FACTORY` The meta object literal for the 'Faces Context Factory' containment reference list feature
`static EReference` `FACTORY_TYPE__FACTORY_EXTENSION` The meta object literal for the 'Factory Extension' reference list feature
`static EAttribute` `FACTORY_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EReference` `FACTORY_TYPE__LIFECYCLE_FACTORY` The meta object literal for the 'Lifecycle Factory' containment reference list feature
`static EReference` `FACTORY_TYPE__PARTIAL_VIEW_CONTEXT_FACTORY` The meta object literal for the 'Partial View Context Factory' containment reference list feature
`static EReference` `FACTORY_TYPE__RENDER_KIT_FACTORY` The meta object literal for the 'Render Kit Factory' containment reference list feature
`static EReference` `FACTORY_TYPE__TAG_HANDLER_DELEGATE_FACTORY` The meta object literal for the 'Tag Handler Delegate Factory' containment reference list feature
`static EReference` `FACTORY_TYPE__VIEW_DECLARATION_LANGUAGE_FACTORY` The meta object literal for the 'View Declaration Language Factory' containment reference list feature
`static EReference` `FACTORY_TYPE__VISIT_CONTEXT_FACTORY` The meta object literal for the 'Visit Context Factory' containment reference list feature
`static EClass` `FROM_ACTION_TYPE` The meta object literal for the '`From Action Type`' class
`static EAttribute` `FROM_ACTION_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `FROM_ACTION_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `FROM_OUTCOME_TYPE` The meta object literal for the '`From Outcome Type`' class
`static EAttribute` `FROM_OUTCOME_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `FROM_OUTCOME_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `FROM_VIEW_ID_TYPE` The meta object literal for the '`From View Id Type`' class
`static EAttribute` `FROM_VIEW_ID_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `FROM_VIEW_ID_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `ICON_TYPE` The meta object literal for the '`Icon Type`' class
`static EAttribute` `ICON_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `ICON_TYPE__LANG` The meta object literal for the 'Lang' attribute feature
`static EReference` `ICON_TYPE__LARGE_ICON` The meta object literal for the 'Large Icon' containment reference feature
`static EReference` `ICON_TYPE__SMALL_ICON` The meta object literal for the 'Small Icon' containment reference feature
`static EClass` `IF_TYPE` The meta object literal for the '`If Type`' class
`static EAttribute` `IF_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `IF_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `KEY_CLASS_TYPE` The meta object literal for the '`Key Class Type`' class
`static EAttribute` `KEY_CLASS_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `KEY_CLASS_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `KEY_TYPE` The meta object literal for the '`Key Type`' class
`static EAttribute` `KEY_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `KEY_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `LARGE_ICON_TYPE` The meta object literal for the '`Large Icon Type`' class
`static EAttribute` `LARGE_ICON_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `LARGE_ICON_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `LIFECYCLE_EXTENSION_TYPE` The meta object literal for the '`Lifecycle Extension Type`' class
`static EClass` `LIFECYCLE_FACTORY_TYPE` The meta object literal for the '`Lifecycle Factory Type`' class
`static EAttribute` `LIFECYCLE_FACTORY_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `LIFECYCLE_FACTORY_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `LIFECYCLE_TYPE` The meta object literal for the '`Lifecycle Type`' class
`static EAttribute` `LIFECYCLE_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EReference` `LIFECYCLE_TYPE__LIFECYCLE_EXTENSION` The meta object literal for the 'Lifecycle Extension' containment reference list feature
`static EReference` `LIFECYCLE_TYPE__PHASE_LISTENER` The meta object literal for the 'Phase Listener' containment reference list feature
`static EClass` `LIST_ENTRIES_TYPE` The meta object literal for the '`List Entries Type`' class
`static EAttribute` `LIST_ENTRIES_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EReference` `LIST_ENTRIES_TYPE__NULL_VALUE` The meta object literal for the 'Null Value' containment reference list feature
`static EReference` `LIST_ENTRIES_TYPE__VALUE` The meta object literal for the 'Value' containment reference list feature
`static EReference` `LIST_ENTRIES_TYPE__VALUE_CLASS` The meta object literal for the 'Value Class' containment reference feature
`static EClass` `LOCALE_CONFIG_TYPE` The meta object literal for the '`Locale Config Type`' class
`static EReference` `LOCALE_CONFIG_TYPE__DEFAULT_LOCALE` The meta object literal for the 'Default Locale' containment reference feature
`static EAttribute` `LOCALE_CONFIG_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EReference` `LOCALE_CONFIG_TYPE__SUPPORTED_LOCALE` The meta object literal for the 'Supported Locale' containment reference list feature
`static EClass` `MANAGED_BEAN_CLASS_TYPE` The meta object literal for the '`Managed Bean Class Type`' class
`static EAttribute` `MANAGED_BEAN_CLASS_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `MANAGED_BEAN_CLASS_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `MANAGED_BEAN_EXTENSION_TYPE` The meta object literal for the '`Managed Bean Extension Type`' class
`static EClass` `MANAGED_BEAN_NAME_TYPE` The meta object literal for the '`Managed Bean Name Type`' class
`static EAttribute` `MANAGED_BEAN_NAME_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `MANAGED_BEAN_NAME_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `MANAGED_BEAN_SCOPE_TYPE` The meta object literal for the '`Managed Bean Scope Type`' class
`static EAttribute` `MANAGED_BEAN_SCOPE_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `MANAGED_BEAN_SCOPE_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `MANAGED_BEAN_TYPE` The meta object literal for the '`Managed Bean Type`' class
`static EReference` `MANAGED_BEAN_TYPE__DESCRIPTION` The meta object literal for the 'Description' containment reference list feature
`static EReference` `MANAGED_BEAN_TYPE__DISPLAY_NAME` The meta object literal for the 'Display Name' containment reference list feature
`static EAttribute` `MANAGED_BEAN_TYPE__EAGER` The meta object literal for the 'Eager' attribute feature
`static EReference` `MANAGED_BEAN_TYPE__ICON` The meta object literal for the 'Icon' containment reference list feature
`static EAttribute` `MANAGED_BEAN_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EReference` `MANAGED_BEAN_TYPE__LIST_ENTRIES` The meta object literal for the 'List Entries' containment reference feature
`static EReference` `MANAGED_BEAN_TYPE__MANAGED_BEAN_CLASS` The meta object literal for the 'Managed Bean Class' containment reference feature
`static EReference` `MANAGED_BEAN_TYPE__MANAGED_BEAN_EXTENSION` The meta object literal for the 'Managed Bean Extension' containment reference list feature
`static EReference` `MANAGED_BEAN_TYPE__MANAGED_BEAN_NAME` The meta object literal for the 'Managed Bean Name' containment reference feature
`static EReference` `MANAGED_BEAN_TYPE__MANAGED_BEAN_SCOPE` The meta object literal for the 'Managed Bean Scope' containment reference feature
`static EReference` `MANAGED_BEAN_TYPE__MANAGED_PROPERTY` The meta object literal for the 'Managed Property' containment reference list feature
`static EReference` `MANAGED_BEAN_TYPE__MAP_ENTRIES` The meta object literal for the 'Map Entries' containment reference feature
`static EClass` `MANAGED_PROPERTY_TYPE` The meta object literal for the '`Managed Property Type`' class
`static EReference` `MANAGED_PROPERTY_TYPE__DESCRIPTION` The meta object literal for the 'Description' containment reference list feature
`static EReference` `MANAGED_PROPERTY_TYPE__DISPLAY_NAME` The meta object literal for the 'Display Name' containment reference list feature
`static EReference` `MANAGED_PROPERTY_TYPE__ICON` The meta object literal for the 'Icon' containment reference list feature
`static EAttribute` `MANAGED_PROPERTY_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EReference` `MANAGED_PROPERTY_TYPE__LIST_ENTRIES` The meta object literal for the 'List Entries' containment reference feature
`static EReference` `MANAGED_PROPERTY_TYPE__MAP_ENTRIES` The meta object literal for the 'Map Entries' containment reference feature
`static EReference` `MANAGED_PROPERTY_TYPE__NULL_VALUE` The meta object literal for the 'Null Value' containment reference feature
`static EReference` `MANAGED_PROPERTY_TYPE__PROPERTY_CLASS` The meta object literal for the 'Property Class' containment reference feature
`static EReference` `MANAGED_PROPERTY_TYPE__PROPERTY_NAME` The meta object literal for the 'Property Name' containment reference feature
`static EReference` `MANAGED_PROPERTY_TYPE__VALUE` The meta object literal for the 'Value' containment reference feature
`static EClass` `MAP_ENTRIES_TYPE` The meta object literal for the '`Map Entries Type`' class
`static EAttribute` `MAP_ENTRIES_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EReference` `MAP_ENTRIES_TYPE__KEY_CLASS` The meta object literal for the 'Key Class' containment reference feature
`static EReference` `MAP_ENTRIES_TYPE__MAP_ENTRY` The meta object literal for the 'Map Entry' containment reference list feature
`static EReference` `MAP_ENTRIES_TYPE__VALUE_CLASS` The meta object literal for the 'Value Class' containment reference feature
`static EClass` `MAP_ENTRY_TYPE` The meta object literal for the '`Map Entry Type`' class
`static EAttribute` `MAP_ENTRY_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EReference` `MAP_ENTRY_TYPE__KEY` The meta object literal for the 'Key' containment reference feature
`static EReference` `MAP_ENTRY_TYPE__NULL_VALUE` The meta object literal for the 'Null Value' containment reference feature
`static EReference` `MAP_ENTRY_TYPE__VALUE` The meta object literal for the 'Value' containment reference feature
`static EClass` `MESSAGE_BUNDLE_TYPE` The meta object literal for the '`Message Bundle Type`' class
`static EAttribute` `MESSAGE_BUNDLE_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `MESSAGE_BUNDLE_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `NAME_TYPE` The meta object literal for the '`Name Type`' class
`static EAttribute` `NAME_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `NAME_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `NAVIGATION_CASE_TYPE` The meta object literal for the '`Navigation Case Type`' class
`static EReference` `NAVIGATION_CASE_TYPE__DESCRIPTION` The meta object literal for the 'Description' containment reference list feature
`static EReference` `NAVIGATION_CASE_TYPE__DISPLAY_NAME` The meta object literal for the 'Display Name' containment reference list feature
`static EReference` `NAVIGATION_CASE_TYPE__FROM_ACTION` The meta object literal for the 'From Action' containment reference feature
`static EReference` `NAVIGATION_CASE_TYPE__FROM_OUTCOME` The meta object literal for the 'From Outcome' containment reference feature
`static EReference` `NAVIGATION_CASE_TYPE__ICON` The meta object literal for the 'Icon' containment reference list feature
`static EAttribute` `NAVIGATION_CASE_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EReference` `NAVIGATION_CASE_TYPE__IF` The meta object literal for the 'If' containment reference feature
`static EReference` `NAVIGATION_CASE_TYPE__REDIRECT` The meta object literal for the 'Redirect' containment reference feature
`static EReference` `NAVIGATION_CASE_TYPE__TO_VIEW_ID` The meta object literal for the 'To View Id' containment reference feature
`static EClass` `NAVIGATION_HANDLER_TYPE` The meta object literal for the '`Navigation Handler Type`' class
`static EAttribute` `NAVIGATION_HANDLER_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `NAVIGATION_HANDLER_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `NAVIGATION_RULE_EXTENSION_TYPE` The meta object literal for the '`Navigation Rule Extension Type`' class
`static EClass` `NAVIGATION_RULE_TYPE` The meta object literal for the '`Navigation Rule Type`' class
`static EReference` `NAVIGATION_RULE_TYPE__DESCRIPTION` The meta object literal for the 'Description' containment reference list feature
`static EReference` `NAVIGATION_RULE_TYPE__DISPLAY_NAME` The meta object literal for the 'Display Name' containment reference list feature
`static EReference` `NAVIGATION_RULE_TYPE__FROM_VIEW_ID` The meta object literal for the 'From View Id' containment reference feature
`static EReference` `NAVIGATION_RULE_TYPE__ICON` The meta object literal for the 'Icon' containment reference list feature
`static EAttribute` `NAVIGATION_RULE_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EReference` `NAVIGATION_RULE_TYPE__NAVIGATION_CASE` The meta object literal for the 'Navigation Case' containment reference list feature
`static EReference` `NAVIGATION_RULE_TYPE__NAVIGATION_RULE_EXTENSION` The meta object literal for the 'Navigation Rule Extension' containment reference list feature
`static EClass` `NULL_VALUE_TYPE` The meta object literal for the '`Null Value Type`' class
`static EAttribute` `NULL_VALUE_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EClass` `ORDERING_ORDERING_TYPE` The meta object literal for the '`Ordering Ordering Type`' class
`static EReference` `ORDERING_ORDERING_TYPE__NAME` The meta object literal for the 'Name' containment reference list feature
`static EReference` `ORDERING_ORDERING_TYPE__OTHERS` The meta object literal for the 'Others' containment reference feature
`static EClass` `ORDERING_OTHERS_TYPE` The meta object literal for the '`Ordering Others Type`' class
`static EAttribute` `ORDERING_OTHERS_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EClass` `ORDERING_TYPE` The meta object literal for the '`Ordering Type`' class
`static EReference` `ORDERING_TYPE__AFTER` The meta object literal for the 'After' containment reference feature
`static EReference` `ORDERING_TYPE__BEFORE` The meta object literal for the 'Before' containment reference feature
`static EClass` `PARTIAL_VIEW_CONTEXT_FACTORY_TYPE` The meta object literal for the '`Partial View Context Factory Type`' class
`static EAttribute` `PARTIAL_VIEW_CONTEXT_FACTORY_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `PARTIAL_VIEW_CONTEXT_FACTORY_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `PHASE_LISTENER_TYPE` The meta object literal for the '`Phase Listener Type`' class
`static EAttribute` `PHASE_LISTENER_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `PHASE_LISTENER_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `PROPERTY_CLASS_TYPE` The meta object literal for the '`Property Class Type`' class
`static EAttribute` `PROPERTY_CLASS_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `PROPERTY_CLASS_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `PROPERTY_EXTENSION_TYPE` The meta object literal for the '`Property Extension Type`' class
`static EClass` `PROPERTY_NAME_TYPE` The meta object literal for the '`Property Name Type`' class
`static EAttribute` `PROPERTY_NAME_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `PROPERTY_NAME_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `PROPERTY_RESOLVER_TYPE` The meta object literal for the '`Property Resolver Type`' class
`static EAttribute` `PROPERTY_RESOLVER_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `PROPERTY_RESOLVER_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `PROPERTY_TYPE` The meta object literal for the '`Property Type`' class
`static EReference` `PROPERTY_TYPE__DEFAULT_VALUE` The meta object literal for the 'Default Value' containment reference feature
`static EReference` `PROPERTY_TYPE__DESCRIPTION` The meta object literal for the 'Description' containment reference list feature
`static EReference` `PROPERTY_TYPE__DISPLAY_NAME` The meta object literal for the 'Display Name' containment reference list feature
`static EReference` `PROPERTY_TYPE__ICON` The meta object literal for the 'Icon' containment reference list feature
`static EAttribute` `PROPERTY_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EReference` `PROPERTY_TYPE__PROPERTY_CLASS` The meta object literal for the 'Property Class' containment reference feature
`static EReference` `PROPERTY_TYPE__PROPERTY_EXTENSION` The meta object literal for the 'Property Extension' containment reference list feature
`static EReference` `PROPERTY_TYPE__PROPERTY_NAME` The meta object literal for the 'Property Name' containment reference feature
`static EReference` `PROPERTY_TYPE__SUGGESTED_VALUE` The meta object literal for the 'Suggested Value' containment reference feature
`static EClass` `REDIRECT_TYPE` The meta object literal for the '`Redirect Type`' class
`static EAttribute` `REDIRECT_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `REDIRECT_TYPE__INCLUDE_VIEW_PARAMS` The meta object literal for the 'Include View Params' attribute feature
`static EReference` `REDIRECT_TYPE__VIEW_PARAM` The meta object literal for the 'View Param' containment reference list feature
`static EClass` `REDIRECT_VIEW_PARAM_TYPE` The meta object literal for the '`Redirect View Param Type`' class
`static EAttribute` `REDIRECT_VIEW_PARAM_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EReference` `REDIRECT_VIEW_PARAM_TYPE__NAME` The meta object literal for the 'Name' containment reference feature
`static EReference` `REDIRECT_VIEW_PARAM_TYPE__VALUE` The meta object literal for the 'Value' containment reference feature
`static EClass` `REFERENCED_BEAN_CLASS_TYPE` The meta object literal for the '`Referenced Bean Class Type`' class
`static EAttribute` `REFERENCED_BEAN_CLASS_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `REFERENCED_BEAN_CLASS_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `REFERENCED_BEAN_NAME_TYPE` The meta object literal for the '`Referenced Bean Name Type`' class
`static EAttribute` `REFERENCED_BEAN_NAME_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `REFERENCED_BEAN_NAME_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `REFERENCED_BEAN_TYPE` The meta object literal for the '`Referenced Bean Type`' class
`static EReference` `REFERENCED_BEAN_TYPE__DESCRIPTION` The meta object literal for the 'Description' containment reference list feature
`static EReference` `REFERENCED_BEAN_TYPE__DISPLAY_NAME` The meta object literal for the 'Display Name' containment reference list feature
`static EReference` `REFERENCED_BEAN_TYPE__ICON` The meta object literal for the 'Icon' containment reference list feature
`static EAttribute` `REFERENCED_BEAN_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EReference` `REFERENCED_BEAN_TYPE__REFERENCED_BEAN_CLASS` The meta object literal for the 'Referenced Bean Class' containment reference feature
`static EReference` `REFERENCED_BEAN_TYPE__REFERENCED_BEAN_NAME` The meta object literal for the 'Referenced Bean Name' containment reference feature
`static EClass` `RENDER_KIT_CLASS_TYPE` The meta object literal for the '`Render Kit Class Type`' class
`static EAttribute` `RENDER_KIT_CLASS_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `RENDER_KIT_CLASS_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `RENDER_KIT_EXTENSION_TYPE` The meta object literal for the '`Render Kit Extension Type`' class
`static EClass` `RENDER_KIT_FACTORY_TYPE` The meta object literal for the '`Render Kit Factory Type`' class
`static EAttribute` `RENDER_KIT_FACTORY_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `RENDER_KIT_FACTORY_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `RENDER_KIT_ID_TYPE` The meta object literal for the '`Render Kit Id Type`' class
`static EAttribute` `RENDER_KIT_ID_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `RENDER_KIT_ID_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `RENDER_KIT_TYPE` The meta object literal for the '`Render Kit Type`' class
`static EReference` `RENDER_KIT_TYPE__CLIENT_BEHAVIOR_RENDERER` The meta object literal for the 'Client Behavior Renderer' containment reference list feature
`static EReference` `RENDER_KIT_TYPE__DESCRIPTION` The meta object literal for the 'Description' containment reference list feature
`static EReference` `RENDER_KIT_TYPE__DISPLAY_NAME` The meta object literal for the 'Display Name' containment reference list feature
`static EReference` `RENDER_KIT_TYPE__ICON` The meta object literal for the 'Icon' containment reference list feature
`static EAttribute` `RENDER_KIT_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EReference` `RENDER_KIT_TYPE__RENDER_KIT_CLASS` The meta object literal for the 'Render Kit Class' containment reference feature
`static EReference` `RENDER_KIT_TYPE__RENDER_KIT_EXTENSION` The meta object literal for the 'Render Kit Extension' containment reference list feature
`static EReference` `RENDER_KIT_TYPE__RENDER_KIT_ID` The meta object literal for the 'Render Kit Id' containment reference feature
`static EReference` `RENDER_KIT_TYPE__RENDERER` The meta object literal for the 'Renderer' containment reference list feature
`static EClass` `RENDERER_CLASS_TYPE` The meta object literal for the '`Renderer Class Type`' class
`static EAttribute` `RENDERER_CLASS_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `RENDERER_CLASS_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `RENDERER_EXTENSION_TYPE` The meta object literal for the '`Renderer Extension Type`' class
`static EClass` `RENDERER_TYPE` The meta object literal for the '`Renderer Type`' class
`static EReference` `RENDERER_TYPE__ATTRIBUTE` The meta object literal for the 'Attribute' containment reference list feature
`static EReference` `RENDERER_TYPE__COMPONENT_FAMILY` The meta object literal for the 'Component Family' containment reference feature
`static EReference` `RENDERER_TYPE__DESCRIPTION` The meta object literal for the 'Description' containment reference list feature
`static EReference` `RENDERER_TYPE__DISPLAY_NAME` The meta object literal for the 'Display Name' containment reference list feature
`static EReference` `RENDERER_TYPE__FACET` The meta object literal for the 'Facet' containment reference list feature
`static EReference` `RENDERER_TYPE__ICON` The meta object literal for the 'Icon' containment reference list feature
`static EAttribute` `RENDERER_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EReference` `RENDERER_TYPE__RENDERER_CLASS` The meta object literal for the 'Renderer Class' containment reference feature
`static EReference` `RENDERER_TYPE__RENDERER_EXTENSION` The meta object literal for the 'Renderer Extension' containment reference list feature
`static EReference` `RENDERER_TYPE__RENDERER_TYPE` The meta object literal for the 'Renderer Type' containment reference feature
`static EClass` `RENDERER_TYPE_TYPE` The meta object literal for the '`Renderer Type Type`' class
`static EAttribute` `RENDERER_TYPE_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `RENDERER_TYPE_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `RESOURCE_BUNDLE_TYPE` The meta object literal for the '`Resource Bundle Type`' class
`static EReference` `RESOURCE_BUNDLE_TYPE__BASE_NAME` The meta object literal for the 'Base Name' reference feature
`static EReference` `RESOURCE_BUNDLE_TYPE__DESCRIPTION` The meta object literal for the 'Description' containment reference list feature
`static EReference` `RESOURCE_BUNDLE_TYPE__DISPLAY_NAME` The meta object literal for the 'Display Name' containment reference list feature
`static EReference` `RESOURCE_BUNDLE_TYPE__ICON` The meta object literal for the 'Icon' containment reference list feature
`static EAttribute` `RESOURCE_BUNDLE_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EReference` `RESOURCE_BUNDLE_TYPE__VAR` The meta object literal for the 'Var' reference feature
`static EClass` `RESOURCE_HANDLER_TYPE` The meta object literal for the '`Resource Handler Type`' class
`static EAttribute` `RESOURCE_HANDLER_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `RESOURCE_HANDLER_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `SMALL_ICON_TYPE` The meta object literal for the '`Small Icon Type`' class
`static EAttribute` `SMALL_ICON_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `SMALL_ICON_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `SOURCE_CLASS_TYPE` The meta object literal for the '`Source Class Type`' class
`static EAttribute` `SOURCE_CLASS_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `SOURCE_CLASS_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `STATE_MANAGER_TYPE` The meta object literal for the '`State Manager Type`' class
`static EAttribute` `STATE_MANAGER_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `STATE_MANAGER_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `SUGGESTED_VALUE_TYPE` The meta object literal for the '`Suggested Value Type`' class
`static EAttribute` `SUGGESTED_VALUE_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `SUGGESTED_VALUE_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `SUPPORTED_LOCALE_TYPE` The meta object literal for the '`Supported Locale Type`' class
`static EAttribute` `SUPPORTED_LOCALE_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `SUPPORTED_LOCALE_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `SYSTEM_EVENT_CLASS_TYPE` The meta object literal for the '`System Event Class Type`' class
`static EAttribute` `SYSTEM_EVENT_CLASS_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `SYSTEM_EVENT_CLASS_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `SYSTEM_EVENT_LISTENER_CLASS_TYPE` The meta object literal for the '`System Event Listener Class Type`' class
`static EAttribute` `SYSTEM_EVENT_LISTENER_CLASS_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `SYSTEM_EVENT_LISTENER_CLASS_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `SYSTEM_EVENT_LISTENER_TYPE` The meta object literal for the '`System Event Listener Type`' class
`static EAttribute` `SYSTEM_EVENT_LISTENER_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EReference` `SYSTEM_EVENT_LISTENER_TYPE__SOURCE_CLASS` The meta object literal for the 'Source Class' containment reference feature
`static EReference` `SYSTEM_EVENT_LISTENER_TYPE__SYSTEM_EVENT_CLASS` The meta object literal for the 'System Event Class' containment reference feature
`static EReference` `SYSTEM_EVENT_LISTENER_TYPE__SYSTEM_EVENT_LISTENER_CLASS` The meta object literal for the 'System Event Listener Class' containment reference feature
`static EClass` `TAG_HANDLER_DELEGATE_FACTORY_TYPE` The meta object literal for the '`Tag Handler Delegate Factory Type`' class
`static EAttribute` `TAG_HANDLER_DELEGATE_FACTORY_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `TAG_HANDLER_DELEGATE_FACTORY_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `TO_VIEW_ID_TYPE` The meta object literal for the '`To View Id Type`' class
`static EAttribute` `TO_VIEW_ID_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `TO_VIEW_ID_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `VALIDATOR_CLASS_TYPE` The meta object literal for the '`Validator Class Type`' class
`static EAttribute` `VALIDATOR_CLASS_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `VALIDATOR_CLASS_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `VALIDATOR_EXTENSION_TYPE` The meta object literal for the '`Validator Extension Type`' class
`static EClass` `VALIDATOR_ID_TYPE` The meta object literal for the '`Validator Id Type`' class
`static EAttribute` `VALIDATOR_ID_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `VALIDATOR_ID_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `VALIDATOR_TYPE` The meta object literal for the '`Validator Type`' class
`static EReference` `VALIDATOR_TYPE__ATTRIBUTE` The meta object literal for the 'Attribute' containment reference list feature
`static EReference` `VALIDATOR_TYPE__DESCRIPTION` The meta object literal for the 'Description' containment reference list feature
`static EReference` `VALIDATOR_TYPE__DISPLAY_NAME` The meta object literal for the 'Display Name' containment reference list feature
`static EReference` `VALIDATOR_TYPE__ICON` The meta object literal for the 'Icon' containment reference list feature
`static EAttribute` `VALIDATOR_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EReference` `VALIDATOR_TYPE__PROPERTY` The meta object literal for the 'Property' containment reference list feature
`static EReference` `VALIDATOR_TYPE__VALIDATOR_CLASS` The meta object literal for the 'Validator Class' containment reference feature
`static EReference` `VALIDATOR_TYPE__VALIDATOR_EXTENSION` The meta object literal for the 'Validator Extension' containment reference list feature
`static EReference` `VALIDATOR_TYPE__VALIDATOR_ID` The meta object literal for the 'Validator Id' containment reference feature
`static EClass` `VALUE_CLASS_TYPE` The meta object literal for the '`Value Class Type`' class
`static EAttribute` `VALUE_CLASS_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `VALUE_CLASS_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `VALUE_TYPE` The meta object literal for the '`Value Type`' class
`static EAttribute` `VALUE_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `VALUE_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `VAR_TYPE` The meta object literal for the '`Var Type`' class
`static EAttribute` `VAR_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `VAR_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `VARIABLE_RESOLVER_TYPE` The meta object literal for the '`Variable Resolver Type`' class
`static EAttribute` `VARIABLE_RESOLVER_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `VARIABLE_RESOLVER_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `VIEW_DECLARATION_LANGUAGE_FACTORY_TYPE` The meta object literal for the '`View Declaration Language Factory Type`' class
`static EAttribute` `VIEW_DECLARATION_LANGUAGE_FACTORY_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `VIEW_DECLARATION_LANGUAGE_FACTORY_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `VIEW_HANDLER_TYPE` The meta object literal for the '`View Handler Type`' class
`static EAttribute` `VIEW_HANDLER_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `VIEW_HANDLER_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature
`static EClass` `VISIT_CONTEXT_FACTORY_TYPE` The meta object literal for the '`Visit Context Factory Type`' class
`static EAttribute` `VISIT_CONTEXT_FACTORY_TYPE__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `VISIT_CONTEXT_FACTORY_TYPE__TEXT_CONTENT` The meta object literal for the 'Text Content' attribute feature

Field Detail

### ABSOLUTE_ORDERING_TYPE

    static final EClass ABSOLUTE_ORDERING_TYPE

  The meta object literal for the '`Absolute Ordering Type`' class.

  See Also:
    `AbsoluteOrderingTypeImpl`, `FacesConfigPackageImpl.getAbsoluteOrderingType()`

### ABSOLUTE_ORDERING_TYPE__NAME

    static final EReference ABSOLUTE_ORDERING_TYPE__NAME

  The meta object literal for the 'Name' containment reference list feature.

### ABSOLUTE_ORDERING_TYPE__OTHERS

    static final EReference ABSOLUTE_ORDERING_TYPE__OTHERS

  The meta object literal for the 'Others' containment reference feature.

### ACTION_LISTENER_TYPE

    static final EClass ACTION_LISTENER_TYPE

  The meta object literal for the '`Action Listener Type`' class.

  See Also:
    `ActionListenerTypeImpl`, `FacesConfigPackageImpl.getActionListenerType()`

### ACTION_LISTENER_TYPE__TEXT_CONTENT

    static final EAttribute ACTION_LISTENER_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### ACTION_LISTENER_TYPE__ID

    static final EAttribute ACTION_LISTENER_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### APPLICATION_FACTORY_TYPE

    static final EClass APPLICATION_FACTORY_TYPE

  The meta object literal for the '`Application Factory Type`' class.

  See Also:
    `ApplicationFactoryTypeImpl`, `FacesConfigPackageImpl.getApplicationFactoryType()`

### APPLICATION_FACTORY_TYPE__TEXT_CONTENT

    static final EAttribute APPLICATION_FACTORY_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### APPLICATION_FACTORY_TYPE__ID

    static final EAttribute APPLICATION_FACTORY_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### APPLICATION_TYPE

    static final EClass APPLICATION_TYPE

  The meta object literal for the '`Application Type`' class.

  See Also:
    `ApplicationTypeImpl`, `FacesConfigPackageImpl.getApplicationType()`

### APPLICATION_TYPE__ACTION_LISTENER

    static final EReference APPLICATION_TYPE__ACTION_LISTENER

  The meta object literal for the 'Action Listener' containment reference list feature.

### APPLICATION_TYPE__DEFAULT_RENDER_KIT_ID

    static final EReference APPLICATION_TYPE__DEFAULT_RENDER_KIT_ID

  The meta object literal for the 'Default Render Kit Id' containment reference list feature.

### APPLICATION_TYPE__MESSAGE_BUNDLE

    static final EReference APPLICATION_TYPE__MESSAGE_BUNDLE

  The meta object literal for the 'Message Bundle' containment reference list feature.

### APPLICATION_TYPE__NAVIGATION_HANDLER

    static final EReference APPLICATION_TYPE__NAVIGATION_HANDLER

  The meta object literal for the 'Navigation Handler' containment reference list feature.

### APPLICATION_TYPE__VIEW_HANDLER

    static final EReference APPLICATION_TYPE__VIEW_HANDLER

  The meta object literal for the 'View Handler' containment reference list feature.

### APPLICATION_TYPE__STATE_MANAGER

    static final EReference APPLICATION_TYPE__STATE_MANAGER

  The meta object literal for the 'State Manager' containment reference list feature.

### APPLICATION_TYPE__PROPERTY_RESOLVER

    static final EReference APPLICATION_TYPE__PROPERTY_RESOLVER

  The meta object literal for the 'Property Resolver' containment reference list feature.

### APPLICATION_TYPE__VARIABLE_RESOLVER

    static final EReference APPLICATION_TYPE__VARIABLE_RESOLVER

  The meta object literal for the 'Variable Resolver' containment reference list feature.

### APPLICATION_TYPE__RESOURCE_HANDLER

    static final EReference APPLICATION_TYPE__RESOURCE_HANDLER

  The meta object literal for the 'Resource Handler' containment reference list feature.

### APPLICATION_TYPE__SYSTEM_EVENT_LISTENER

    static final EReference APPLICATION_TYPE__SYSTEM_EVENT_LISTENER

  The meta object literal for the 'System Event Listener' reference list feature.

### APPLICATION_TYPE__LOCALE_CONFIG

    static final EReference APPLICATION_TYPE__LOCALE_CONFIG

  The meta object literal for the 'Locale Config' containment reference list feature.

### APPLICATION_TYPE__ID

    static final EAttribute APPLICATION_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### APPLICATION_TYPE__EL_RESOLVER

    static final EReference APPLICATION_TYPE__EL_RESOLVER

  The meta object literal for the 'EL Resolver' reference list feature.

### APPLICATION_TYPE__RESOURCE_BUNDLE

    static final EReference APPLICATION_TYPE__RESOURCE_BUNDLE

  The meta object literal for the 'Resource Bundle' reference list feature.

### APPLICATION_TYPE__APPLICATION_EXTENSION

    static final EReference APPLICATION_TYPE__APPLICATION_EXTENSION

  The meta object literal for the 'Application Extension' reference list feature.

### APPLICATION_TYPE__DEFAULT_VALIDATORS

    static final EReference APPLICATION_TYPE__DEFAULT_VALIDATORS

  The meta object literal for the 'Default Validators' reference list feature.

### ATTRIBUTE_CLASS_TYPE

    static final EClass ATTRIBUTE_CLASS_TYPE

  The meta object literal for the '`Attribute Class Type`' class.

  See Also:
    `AttributeClassTypeImpl`, `FacesConfigPackageImpl.getAttributeClassType()`

### ATTRIBUTE_CLASS_TYPE__TEXT_CONTENT

    static final EAttribute ATTRIBUTE_CLASS_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### ATTRIBUTE_CLASS_TYPE__ID

    static final EAttribute ATTRIBUTE_CLASS_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### ATTRIBUTE_EXTENSION_TYPE

    static final EClass ATTRIBUTE_EXTENSION_TYPE

  The meta object literal for the '`Attribute Extension Type`' class.

  See Also:
    `AttributeExtensionTypeImpl`, `FacesConfigPackageImpl.getAttributeExtensionType()`

### ATTRIBUTE_NAME_TYPE

    static final EClass ATTRIBUTE_NAME_TYPE

  The meta object literal for the '`Attribute Name Type`' class.

  See Also:
    `AttributeNameTypeImpl`, `FacesConfigPackageImpl.getAttributeNameType()`

### ATTRIBUTE_NAME_TYPE__TEXT_CONTENT

    static final EAttribute ATTRIBUTE_NAME_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### ATTRIBUTE_NAME_TYPE__ID

    static final EAttribute ATTRIBUTE_NAME_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### ATTRIBUTE_TYPE

    static final EClass ATTRIBUTE_TYPE

  The meta object literal for the '`Attribute Type`' class.

  See Also:
    `AttributeTypeImpl`, `FacesConfigPackageImpl.getAttributeType()`

### ATTRIBUTE_TYPE__DESCRIPTION

    static final EReference ATTRIBUTE_TYPE__DESCRIPTION

  The meta object literal for the 'Description' containment reference list feature.

### ATTRIBUTE_TYPE__DISPLAY_NAME

    static final EReference ATTRIBUTE_TYPE__DISPLAY_NAME

  The meta object literal for the 'Display Name' containment reference list feature.

### ATTRIBUTE_TYPE__ICON

    static final EReference ATTRIBUTE_TYPE__ICON

  The meta object literal for the 'Icon' containment reference list feature.

### ATTRIBUTE_TYPE__ATTRIBUTE_NAME

    static final EReference ATTRIBUTE_TYPE__ATTRIBUTE_NAME

  The meta object literal for the 'Attribute Name' containment reference feature.

### ATTRIBUTE_TYPE__ATTRIBUTE_CLASS

    static final EReference ATTRIBUTE_TYPE__ATTRIBUTE_CLASS

  The meta object literal for the 'Attribute Class' containment reference feature.

### ATTRIBUTE_TYPE__DEFAULT_VALUE

    static final EReference ATTRIBUTE_TYPE__DEFAULT_VALUE

  The meta object literal for the 'Default Value' containment reference feature.

### ATTRIBUTE_TYPE__SUGGESTED_VALUE

    static final EReference ATTRIBUTE_TYPE__SUGGESTED_VALUE

  The meta object literal for the 'Suggested Value' containment reference feature.

### ATTRIBUTE_TYPE__ATTRIBUTE_EXTENSION

    static final EReference ATTRIBUTE_TYPE__ATTRIBUTE_EXTENSION

  The meta object literal for the 'Attribute Extension' containment reference list feature.

### ATTRIBUTE_TYPE__ID

    static final EAttribute ATTRIBUTE_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### BEHAVIOR_CLASS_TYPE

    static final EClass BEHAVIOR_CLASS_TYPE

  The meta object literal for the '`Behavior Class Type`' class.

  See Also:
    `BehaviorClassTypeImpl`, `FacesConfigPackageImpl.getBehaviorClassType()`

### BEHAVIOR_CLASS_TYPE__TEXT_CONTENT

    static final EAttribute BEHAVIOR_CLASS_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### BEHAVIOR_CLASS_TYPE__ID

    static final EAttribute BEHAVIOR_CLASS_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### BEHAVIOR_ID_TYPE

    static final EClass BEHAVIOR_ID_TYPE

  The meta object literal for the '`Behavior Id Type`' class.

  See Also:
    `BehaviorIdTypeImpl`, `FacesConfigPackageImpl.getBehaviorIdType()`

### BEHAVIOR_ID_TYPE__TEXT_CONTENT

    static final EAttribute BEHAVIOR_ID_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### BEHAVIOR_ID_TYPE__ID

    static final EAttribute BEHAVIOR_ID_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### BEHAVIOR_TYPE

    static final EClass BEHAVIOR_TYPE

  The meta object literal for the '`Behavior Type`' class.

  See Also:
    `BehaviorTypeImpl`, `FacesConfigPackageImpl.getBehaviorType()`

### BEHAVIOR_TYPE__DESCRIPTION

    static final EReference BEHAVIOR_TYPE__DESCRIPTION

  The meta object literal for the 'Description' containment reference list feature.

### BEHAVIOR_TYPE__DISPLAY_NAME

    static final EReference BEHAVIOR_TYPE__DISPLAY_NAME

  The meta object literal for the 'Display Name' containment reference list feature.

### BEHAVIOR_TYPE__ICON

    static final EReference BEHAVIOR_TYPE__ICON

  The meta object literal for the 'Icon' containment reference list feature.

### BEHAVIOR_TYPE__BEHAVIOR_ID

    static final EReference BEHAVIOR_TYPE__BEHAVIOR_ID

  The meta object literal for the 'Behavior Id' containment reference feature.

### BEHAVIOR_TYPE__BEHAVIOR_CLASS

    static final EReference BEHAVIOR_TYPE__BEHAVIOR_CLASS

  The meta object literal for the 'Behavior Class' containment reference feature.

### BEHAVIOR_TYPE__ATTRIBUTE

    static final EReference BEHAVIOR_TYPE__ATTRIBUTE

  The meta object literal for the 'Attribute' containment reference list feature.

### BEHAVIOR_TYPE__PROPERTY

    static final EReference BEHAVIOR_TYPE__PROPERTY

  The meta object literal for the 'Property' containment reference list feature.

### BEHAVIOR_TYPE__BEHAVIOR_EXTENSION

    static final EReference BEHAVIOR_TYPE__BEHAVIOR_EXTENSION

  The meta object literal for the 'Behavior Extension' containment reference list feature.

### BEHAVIOR_EXTENSION_TYPE

    static final EClass BEHAVIOR_EXTENSION_TYPE

  The meta object literal for the '`Behavior Extension Type`' class.

  See Also:
    `BehaviorExtensionTypeImpl`, `FacesConfigPackageImpl.getBehaviorExtensionType()`

### CLIENT_BEHAVIOR_RENDERER_CLASS_TYPE

    static final EClass CLIENT_BEHAVIOR_RENDERER_CLASS_TYPE

  The meta object literal for the '`Client Behavior Renderer Class Type`' class.

  See Also:
    `ClientBehaviorRendererClassTypeImpl`, `FacesConfigPackageImpl.getClientBehaviorRendererClassType()`

### CLIENT_BEHAVIOR_RENDERER_CLASS_TYPE__TEXT_CONTENT

    static final EAttribute CLIENT_BEHAVIOR_RENDERER_CLASS_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### CLIENT_BEHAVIOR_RENDERER_CLASS_TYPE__ID

    static final EAttribute CLIENT_BEHAVIOR_RENDERER_CLASS_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### CLIENT_BEHAVIOR_RENDERER_TYPE

    static final EClass CLIENT_BEHAVIOR_RENDERER_TYPE

  The meta object literal for the '`Client Behavior Renderer Type`' class.

  See Also:
    `ClientBehaviorRendererTypeImpl`, `FacesConfigPackageImpl.getClientBehaviorRendererType()`

### CLIENT_BEHAVIOR_RENDERER_TYPE__CLIENT_BEHAVIOR_RENDERER_TYPE

    static final EReference CLIENT_BEHAVIOR_RENDERER_TYPE__CLIENT_BEHAVIOR_RENDERER_TYPE

  The meta object literal for the 'Client Behavior Renderer Type' containment reference feature.

### CLIENT_BEHAVIOR_RENDERER_TYPE__CLIENT_BEHAVIOR_RENDERER_CLASS

    static final EReference CLIENT_BEHAVIOR_RENDERER_TYPE__CLIENT_BEHAVIOR_RENDERER_CLASS

  The meta object literal for the 'Client Behavior Renderer Class' containment reference feature.

### CLIENT_BEHAVIOR_RENDERER_TYPE_TYPE

    static final EClass CLIENT_BEHAVIOR_RENDERER_TYPE_TYPE

  The meta object literal for the '`Client Behavior Renderer Type Type`' class.

  See Also:
    `ClientBehaviorRendererTypeTypeImpl`, `FacesConfigPackageImpl.getClientBehaviorRendererTypeType()`

### CLIENT_BEHAVIOR_RENDERER_TYPE_TYPE__TEXT_CONTENT

    static final EAttribute CLIENT_BEHAVIOR_RENDERER_TYPE_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### CLIENT_BEHAVIOR_RENDERER_TYPE_TYPE__ID

    static final EAttribute CLIENT_BEHAVIOR_RENDERER_TYPE_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### COMPONENT_CLASS_TYPE

    static final EClass COMPONENT_CLASS_TYPE

  The meta object literal for the '`Component Class Type`' class.

  See Also:
    `ComponentClassTypeImpl`, `FacesConfigPackageImpl.getComponentClassType()`

### COMPONENT_CLASS_TYPE__TEXT_CONTENT

    static final EAttribute COMPONENT_CLASS_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### COMPONENT_CLASS_TYPE__ID

    static final EAttribute COMPONENT_CLASS_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### COMPONENT_EXTENSION_TYPE

    static final EClass COMPONENT_EXTENSION_TYPE

  The meta object literal for the '`Component Extension Type`' class.

  See Also:
    `ComponentExtensionTypeImpl`, `FacesConfigPackageImpl.getComponentExtensionType()`

### COMPONENT_FAMILY_TYPE

    static final EClass COMPONENT_FAMILY_TYPE

  The meta object literal for the '`Component Family Type`' class.

  See Also:
    `ComponentFamilyTypeImpl`, `FacesConfigPackageImpl.getComponentFamilyType()`

### COMPONENT_FAMILY_TYPE__TEXT_CONTENT

    static final EAttribute COMPONENT_FAMILY_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### COMPONENT_FAMILY_TYPE__ID

    static final EAttribute COMPONENT_FAMILY_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### COMPONENT_TYPE

    static final EClass COMPONENT_TYPE

  The meta object literal for the '`Component Type`' class.

  See Also:
    `ComponentTypeImpl`, `FacesConfigPackageImpl.getComponentType()`

### COMPONENT_TYPE__DESCRIPTION

    static final EReference COMPONENT_TYPE__DESCRIPTION

  The meta object literal for the 'Description' containment reference list feature.

### COMPONENT_TYPE__DISPLAY_NAME

    static final EReference COMPONENT_TYPE__DISPLAY_NAME

  The meta object literal for the 'Display Name' containment reference list feature.

### COMPONENT_TYPE__ICON

    static final EReference COMPONENT_TYPE__ICON

  The meta object literal for the 'Icon' containment reference list feature.

### COMPONENT_TYPE__COMPONENT_TYPE

    static final EReference COMPONENT_TYPE__COMPONENT_TYPE

  The meta object literal for the 'Component Type' containment reference feature.

### COMPONENT_TYPE__COMPONENT_CLASS

    static final EReference COMPONENT_TYPE__COMPONENT_CLASS

  The meta object literal for the 'Component Class' containment reference feature.

### COMPONENT_TYPE__FACET

    static final EReference COMPONENT_TYPE__FACET

  The meta object literal for the 'Facet' containment reference list feature.

### COMPONENT_TYPE__ATTRIBUTE

    static final EReference COMPONENT_TYPE__ATTRIBUTE

  The meta object literal for the 'Attribute' containment reference list feature.

### COMPONENT_TYPE__PROPERTY

    static final EReference COMPONENT_TYPE__PROPERTY

  The meta object literal for the 'Property' containment reference list feature.

### COMPONENT_TYPE__COMPONENT_EXTENSION

    static final EReference COMPONENT_TYPE__COMPONENT_EXTENSION

  The meta object literal for the 'Component Extension' containment reference list feature.

### COMPONENT_TYPE__ID

    static final EAttribute COMPONENT_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### COMPONENT_TYPE_TYPE

    static final EClass COMPONENT_TYPE_TYPE

  The meta object literal for the '`Component Type Type`' class.

  See Also:
    `ComponentTypeTypeImpl`, `FacesConfigPackageImpl.getComponentTypeType()`

### COMPONENT_TYPE_TYPE__TEXT_CONTENT

    static final EAttribute COMPONENT_TYPE_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### COMPONENT_TYPE_TYPE__ID

    static final EAttribute COMPONENT_TYPE_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### CONVERTER_CLASS_TYPE

    static final EClass CONVERTER_CLASS_TYPE

  The meta object literal for the '`Converter Class Type`' class.

  See Also:
    `ConverterClassTypeImpl`, `FacesConfigPackageImpl.getConverterClassType()`

### CONVERTER_CLASS_TYPE__TEXT_CONTENT

    static final EAttribute CONVERTER_CLASS_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### CONVERTER_CLASS_TYPE__ID

    static final EAttribute CONVERTER_CLASS_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### CONVERTER_FOR_CLASS_TYPE

    static final EClass CONVERTER_FOR_CLASS_TYPE

  The meta object literal for the '`Converter For Class Type`' class.

  See Also:
    `ConverterForClassTypeImpl`, `FacesConfigPackageImpl.getConverterForClassType()`

### CONVERTER_FOR_CLASS_TYPE__TEXT_CONTENT

    static final EAttribute CONVERTER_FOR_CLASS_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### CONVERTER_FOR_CLASS_TYPE__ID

    static final EAttribute CONVERTER_FOR_CLASS_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### CONVERTER_ID_TYPE

    static final EClass CONVERTER_ID_TYPE

  The meta object literal for the '`Converter Id Type`' class.

  See Also:
    `ConverterIdTypeImpl`, `FacesConfigPackageImpl.getConverterIdType()`

### CONVERTER_ID_TYPE__TEXT_CONTENT

    static final EAttribute CONVERTER_ID_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### CONVERTER_ID_TYPE__ID

    static final EAttribute CONVERTER_ID_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### CONVERTER_TYPE

    static final EClass CONVERTER_TYPE

  The meta object literal for the '`Converter Type`' class.

  See Also:
    `ConverterTypeImpl`, `FacesConfigPackageImpl.getConverterType()`

### CONVERTER_TYPE__DESCRIPTION

    static final EReference CONVERTER_TYPE__DESCRIPTION

  The meta object literal for the 'Description' containment reference list feature.

### CONVERTER_TYPE__DISPLAY_NAME

    static final EReference CONVERTER_TYPE__DISPLAY_NAME

  The meta object literal for the 'Display Name' containment reference list feature.

### CONVERTER_TYPE__ICON

    static final EReference CONVERTER_TYPE__ICON

  The meta object literal for the 'Icon' containment reference list feature.

### CONVERTER_TYPE__CONVERTER_ID

    static final EReference CONVERTER_TYPE__CONVERTER_ID

  The meta object literal for the 'Converter Id' containment reference feature.

### CONVERTER_TYPE__CONVERTER_FOR_CLASS

    static final EReference CONVERTER_TYPE__CONVERTER_FOR_CLASS

  The meta object literal for the 'Converter For Class' containment reference feature.

### CONVERTER_TYPE__CONVERTER_CLASS

    static final EReference CONVERTER_TYPE__CONVERTER_CLASS

  The meta object literal for the 'Converter Class' containment reference feature.

### CONVERTER_TYPE__ATTRIBUTE

    static final EReference CONVERTER_TYPE__ATTRIBUTE

  The meta object literal for the 'Attribute' containment reference list feature.

### CONVERTER_TYPE__PROPERTY

    static final EReference CONVERTER_TYPE__PROPERTY

  The meta object literal for the 'Property' containment reference list feature.

### CONVERTER_TYPE__CONVERTER_EXTENSION

    static final EReference CONVERTER_TYPE__CONVERTER_EXTENSION

  The meta object literal for the 'Converter Extension' containment reference list feature.

### CONVERTER_TYPE__ID

    static final EAttribute CONVERTER_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### DEFAULT_LOCALE_TYPE

    static final EClass DEFAULT_LOCALE_TYPE

  The meta object literal for the '`Default Locale Type`' class.

  See Also:
    `DefaultLocaleTypeImpl`, `FacesConfigPackageImpl.getDefaultLocaleType()`

### DEFAULT_LOCALE_TYPE__TEXT_CONTENT

    static final EAttribute DEFAULT_LOCALE_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### DEFAULT_LOCALE_TYPE__ID

    static final EAttribute DEFAULT_LOCALE_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### DEFAULT_RENDER_KIT_ID_TYPE

    static final EClass DEFAULT_RENDER_KIT_ID_TYPE

  The meta object literal for the '`Default Render Kit Id Type`' class.

  See Also:
    `DefaultRenderKitIdTypeImpl`, `FacesConfigPackageImpl.getDefaultRenderKitIdType()`

### DEFAULT_RENDER_KIT_ID_TYPE__TEXT_CONTENT

    static final EAttribute DEFAULT_RENDER_KIT_ID_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### DEFAULT_RENDER_KIT_ID_TYPE__ID

    static final EAttribute DEFAULT_RENDER_KIT_ID_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### DEFAULT_VALIDATORS_TYPE

    static final EClass DEFAULT_VALIDATORS_TYPE

  The meta object literal for the '`Default Validators Type`' class.

  See Also:
    `DefaultValidatorsTypeImpl`, `FacesConfigPackageImpl.getDefaultValidatorsType()`

### DEFAULT_VALIDATORS_TYPE__VALIDATOR_ID

    static final EReference DEFAULT_VALIDATORS_TYPE__VALIDATOR_ID

  The meta object literal for the 'Validator Id' containment reference list feature.

### DEFAULT_VALIDATORS_TYPE__ID

    static final EAttribute DEFAULT_VALIDATORS_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### DEFAULT_VALUE_TYPE

    static final EClass DEFAULT_VALUE_TYPE

  The meta object literal for the '`Default Value Type`' class.

  See Also:
    `DefaultValueTypeImpl`, `FacesConfigPackageImpl.getDefaultValueType()`

### DEFAULT_VALUE_TYPE__TEXT_CONTENT

    static final EAttribute DEFAULT_VALUE_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### DEFAULT_VALUE_TYPE__ID

    static final EAttribute DEFAULT_VALUE_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### DESCRIPTION_TYPE

    static final EClass DESCRIPTION_TYPE

  The meta object literal for the '`Description Type`' class.

  See Also:
    `DescriptionTypeImpl`, `FacesConfigPackageImpl.getDescriptionType()`

### DESCRIPTION_TYPE__TEXT_CONTENT

    static final EAttribute DESCRIPTION_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### DESCRIPTION_TYPE__LANG

    static final EAttribute DESCRIPTION_TYPE__LANG

  The meta object literal for the 'Lang' attribute feature.

### DESCRIPTION_TYPE__ID

    static final EAttribute DESCRIPTION_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### DISPLAY_NAME_TYPE

    static final EClass DISPLAY_NAME_TYPE

  The meta object literal for the '`Display Name Type`' class.

  See Also:
    `DisplayNameTypeImpl`, `FacesConfigPackageImpl.getDisplayNameType()`

### DISPLAY_NAME_TYPE__TEXT_CONTENT

    static final EAttribute DISPLAY_NAME_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### DISPLAY_NAME_TYPE__LANG

    static final EAttribute DISPLAY_NAME_TYPE__LANG

  The meta object literal for the 'Lang' attribute feature.

### DISPLAY_NAME_TYPE__ID

    static final EAttribute DISPLAY_NAME_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### DOCUMENT_ROOT

    static final EClass DOCUMENT_ROOT

  The meta object literal for the '`Document Root`' class.

  See Also:
    `DocumentRootImpl`, `FacesConfigPackageImpl.getDocumentRoot()`

### DOCUMENT_ROOT__MIXED

    static final EAttribute DOCUMENT_ROOT__MIXED

  The meta object literal for the 'Mixed' attribute list feature.

### DOCUMENT_ROOT__XMLNS_PREFIX_MAP

    static final EReference DOCUMENT_ROOT__XMLNS_PREFIX_MAP

  The meta object literal for the 'XMLNS Prefix Map' map feature.

### DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

    static final EReference DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

  The meta object literal for the 'XSI Schema Location' map feature.

### DOCUMENT_ROOT__ABSOLUTE_ORDERING

    static final EReference DOCUMENT_ROOT__ABSOLUTE_ORDERING

  The meta object literal for the 'Absolute Ordering' containment reference feature.

### DOCUMENT_ROOT__ACTION_LISTENER

    static final EReference DOCUMENT_ROOT__ACTION_LISTENER

  The meta object literal for the 'Action Listener' containment reference feature.

### DOCUMENT_ROOT__APPLICATION

    static final EReference DOCUMENT_ROOT__APPLICATION

  The meta object literal for the 'Application' containment reference feature.

### DOCUMENT_ROOT__APPLICATION_FACTORY

    static final EReference DOCUMENT_ROOT__APPLICATION_FACTORY

  The meta object literal for the 'Application Factory' containment reference feature.

### DOCUMENT_ROOT__ATTRIBUTE

    static final EReference DOCUMENT_ROOT__ATTRIBUTE

  The meta object literal for the 'Attribute' containment reference feature.

### DOCUMENT_ROOT__ATTRIBUTE_CLASS

    static final EReference DOCUMENT_ROOT__ATTRIBUTE_CLASS

  The meta object literal for the 'Attribute Class' containment reference feature.

### DOCUMENT_ROOT__ATTRIBUTE_EXTENSION

    static final EReference DOCUMENT_ROOT__ATTRIBUTE_EXTENSION

  The meta object literal for the 'Attribute Extension' containment reference feature.

### DOCUMENT_ROOT__ATTRIBUTE_NAME

    static final EReference DOCUMENT_ROOT__ATTRIBUTE_NAME

  The meta object literal for the 'Attribute Name' containment reference feature.

### DOCUMENT_ROOT__BEHAVIOR

    static final EReference DOCUMENT_ROOT__BEHAVIOR

  The meta object literal for the 'Behavior' containment reference feature.

### DOCUMENT_ROOT__BEHAVIOR_CLASS

    static final EReference DOCUMENT_ROOT__BEHAVIOR_CLASS

  The meta object literal for the 'Behavior Class' containment reference feature.

### DOCUMENT_ROOT__BEHAVIOR_ID

    static final EReference DOCUMENT_ROOT__BEHAVIOR_ID

  The meta object literal for the 'Behavior Id' containment reference feature.

### DOCUMENT_ROOT__BEHAVIOR_EXTENSION

    static final EReference DOCUMENT_ROOT__BEHAVIOR_EXTENSION

  The meta object literal for the 'Behavior Extension' containment reference feature.

### DOCUMENT_ROOT__COMPONENT

    static final EReference DOCUMENT_ROOT__COMPONENT

  The meta object literal for the 'Component' containment reference feature.

### DOCUMENT_ROOT__COMPONENT_CLASS

    static final EReference DOCUMENT_ROOT__COMPONENT_CLASS

  The meta object literal for the 'Component Class' containment reference feature.

### DOCUMENT_ROOT__COMPONENT_EXTENSION

    static final EReference DOCUMENT_ROOT__COMPONENT_EXTENSION

  The meta object literal for the 'Component Extension' containment reference feature.

### DOCUMENT_ROOT__COMPONENT_FAMILY

    static final EReference DOCUMENT_ROOT__COMPONENT_FAMILY

  The meta object literal for the 'Component Family' containment reference feature.

### DOCUMENT_ROOT__COMPONENT_TYPE

    static final EReference DOCUMENT_ROOT__COMPONENT_TYPE

  The meta object literal for the 'Component Type' containment reference feature.

### DOCUMENT_ROOT__CONVERTER

    static final EReference DOCUMENT_ROOT__CONVERTER

  The meta object literal for the 'Converter' containment reference feature.

### DOCUMENT_ROOT__CONVERTER_CLASS

    static final EReference DOCUMENT_ROOT__CONVERTER_CLASS

  The meta object literal for the 'Converter Class' containment reference feature.

### DOCUMENT_ROOT__CONVERTER_FOR_CLASS

    static final EReference DOCUMENT_ROOT__CONVERTER_FOR_CLASS

  The meta object literal for the 'Converter For Class' containment reference feature.

### DOCUMENT_ROOT__CONVERTER_ID

    static final EReference DOCUMENT_ROOT__CONVERTER_ID

  The meta object literal for the 'Converter Id' containment reference feature.

### DOCUMENT_ROOT__DEFAULT_LOCALE

    static final EReference DOCUMENT_ROOT__DEFAULT_LOCALE

  The meta object literal for the 'Default Locale' containment reference feature.

### DOCUMENT_ROOT__DEFAULT_RENDER_KIT_ID

    static final EReference DOCUMENT_ROOT__DEFAULT_RENDER_KIT_ID

  The meta object literal for the 'Default Render Kit Id' containment reference feature.

### DOCUMENT_ROOT__DEFAULT_VALIDATORS

    static final EReference DOCUMENT_ROOT__DEFAULT_VALIDATORS

  The meta object literal for the 'Default Validators' containment reference feature.

### DOCUMENT_ROOT__DEFAULT_VALUE

    static final EReference DOCUMENT_ROOT__DEFAULT_VALUE

  The meta object literal for the 'Default Value' containment reference feature.

### DOCUMENT_ROOT__DESCRIPTION

    static final EReference DOCUMENT_ROOT__DESCRIPTION

  The meta object literal for the 'Description' containment reference feature.

### DOCUMENT_ROOT__DISPLAY_NAME

    static final EReference DOCUMENT_ROOT__DISPLAY_NAME

  The meta object literal for the 'Display Name' containment reference feature.

### DOCUMENT_ROOT__EXCEPTION_HANDLER_FACTORY

    static final EReference DOCUMENT_ROOT__EXCEPTION_HANDLER_FACTORY

  The meta object literal for the 'Exception Handler Factory' containment reference feature.

### DOCUMENT_ROOT__EXTERNAL_CONTEXT_FACTORY

    static final EReference DOCUMENT_ROOT__EXTERNAL_CONTEXT_FACTORY

  The meta object literal for the 'External Context Factory' containment reference feature.

### DOCUMENT_ROOT__FACES_CONFIG

    static final EReference DOCUMENT_ROOT__FACES_CONFIG

  The meta object literal for the 'Faces Config' containment reference feature.

### DOCUMENT_ROOT__FACES_CONTEXT_FACTORY

    static final EReference DOCUMENT_ROOT__FACES_CONTEXT_FACTORY

  The meta object literal for the 'Faces Context Factory' containment reference feature.

### DOCUMENT_ROOT__FACET

    static final EReference DOCUMENT_ROOT__FACET

  The meta object literal for the 'Facet' containment reference feature.

### DOCUMENT_ROOT__FACET_EXTENSION

    static final EReference DOCUMENT_ROOT__FACET_EXTENSION

  The meta object literal for the 'Facet Extension' containment reference feature.

### DOCUMENT_ROOT__FACET_NAME

    static final EReference DOCUMENT_ROOT__FACET_NAME

  The meta object literal for the 'Facet Name' containment reference feature.

### DOCUMENT_ROOT__FACTORY

    static final EReference DOCUMENT_ROOT__FACTORY

  The meta object literal for the 'Factory' containment reference feature.

### DOCUMENT_ROOT__FROM_ACTION

    static final EReference DOCUMENT_ROOT__FROM_ACTION

  The meta object literal for the 'From Action' containment reference feature.

### DOCUMENT_ROOT__FROM_OUTCOME

    static final EReference DOCUMENT_ROOT__FROM_OUTCOME

  The meta object literal for the 'From Outcome' containment reference feature.

### DOCUMENT_ROOT__FROM_VIEW_ID

    static final EReference DOCUMENT_ROOT__FROM_VIEW_ID

  The meta object literal for the 'From View Id' containment reference feature.

### DOCUMENT_ROOT__ICON

    static final EReference DOCUMENT_ROOT__ICON

  The meta object literal for the 'Icon' containment reference feature.

### DOCUMENT_ROOT__IF

    static final EReference DOCUMENT_ROOT__IF

  The meta object literal for the 'If' containment reference feature.

### DOCUMENT_ROOT__KEY

    static final EReference DOCUMENT_ROOT__KEY

  The meta object literal for the 'Key' containment reference feature.

### DOCUMENT_ROOT__KEY_CLASS

    static final EReference DOCUMENT_ROOT__KEY_CLASS

  The meta object literal for the 'Key Class' containment reference feature.

### DOCUMENT_ROOT__LARGE_ICON

    static final EReference DOCUMENT_ROOT__LARGE_ICON

  The meta object literal for the 'Large Icon' containment reference feature.

### DOCUMENT_ROOT__LIFECYCLE

    static final EReference DOCUMENT_ROOT__LIFECYCLE

  The meta object literal for the 'Lifecycle' containment reference feature.

### DOCUMENT_ROOT__LIFECYCLE_FACTORY

    static final EReference DOCUMENT_ROOT__LIFECYCLE_FACTORY

  The meta object literal for the 'Lifecycle Factory' containment reference feature.

### DOCUMENT_ROOT__LIST_ENTRIES

    static final EReference DOCUMENT_ROOT__LIST_ENTRIES

  The meta object literal for the 'List Entries' containment reference feature.

### DOCUMENT_ROOT__LOCALE_CONFIG

    static final EReference DOCUMENT_ROOT__LOCALE_CONFIG

  The meta object literal for the 'Locale Config' containment reference feature.

### DOCUMENT_ROOT__MANAGED_BEAN

    static final EReference DOCUMENT_ROOT__MANAGED_BEAN

  The meta object literal for the 'Managed Bean' containment reference feature.

### DOCUMENT_ROOT__MANAGED_BEAN_CLASS

    static final EReference DOCUMENT_ROOT__MANAGED_BEAN_CLASS

  The meta object literal for the 'Managed Bean Class' containment reference feature.

### DOCUMENT_ROOT__MANAGED_BEAN_NAME

    static final EReference DOCUMENT_ROOT__MANAGED_BEAN_NAME

  The meta object literal for the 'Managed Bean Name' containment reference feature.

### DOCUMENT_ROOT__MANAGED_BEAN_SCOPE

    static final EReference DOCUMENT_ROOT__MANAGED_BEAN_SCOPE

  The meta object literal for the 'Managed Bean Scope' containment reference feature.

### DOCUMENT_ROOT__MANAGED_PROPERTY

    static final EReference DOCUMENT_ROOT__MANAGED_PROPERTY

  The meta object literal for the 'Managed Property' containment reference feature.

### DOCUMENT_ROOT__MAP_ENTRIES

    static final EReference DOCUMENT_ROOT__MAP_ENTRIES

  The meta object literal for the 'Map Entries' containment reference feature.

### DOCUMENT_ROOT__MAP_ENTRY

    static final EReference DOCUMENT_ROOT__MAP_ENTRY

  The meta object literal for the 'Map Entry' containment reference feature.

### DOCUMENT_ROOT__MESSAGE_BUNDLE

    static final EReference DOCUMENT_ROOT__MESSAGE_BUNDLE

  The meta object literal for the 'Message Bundle' containment reference feature.

### DOCUMENT_ROOT__NAME

    static final EReference DOCUMENT_ROOT__NAME

  The meta object literal for the 'Name' containment reference feature.

### DOCUMENT_ROOT__NAVIGATION_CASE

    static final EReference DOCUMENT_ROOT__NAVIGATION_CASE

  The meta object literal for the 'Navigation Case' containment reference feature.

### DOCUMENT_ROOT__NAVIGATION_HANDLER

    static final EReference DOCUMENT_ROOT__NAVIGATION_HANDLER

  The meta object literal for the 'Navigation Handler' containment reference feature.

### DOCUMENT_ROOT__NAVIGATION_RULE

    static final EReference DOCUMENT_ROOT__NAVIGATION_RULE

  The meta object literal for the 'Navigation Rule' containment reference feature.

### DOCUMENT_ROOT__NULL_VALUE

    static final EReference DOCUMENT_ROOT__NULL_VALUE

  The meta object literal for the 'Null Value' containment reference feature.

### DOCUMENT_ROOT__ORDERING

    static final EReference DOCUMENT_ROOT__ORDERING

  The meta object literal for the 'Ordering' containment reference feature.

### DOCUMENT_ROOT__ORDERING_ORDERING

    static final EReference DOCUMENT_ROOT__ORDERING_ORDERING

  The meta object literal for the 'Ordering Ordering' containment reference feature.

### DOCUMENT_ROOT__OTHERS

    static final EReference DOCUMENT_ROOT__OTHERS

  The meta object literal for the 'Others' containment reference feature.

### DOCUMENT_ROOT__PARTIAL_VIEW_CONTEXT_FACTORY

    static final EReference DOCUMENT_ROOT__PARTIAL_VIEW_CONTEXT_FACTORY

  The meta object literal for the 'Partial View Context Factory' containment reference feature.

### DOCUMENT_ROOT__PHASE_LISTENER

    static final EReference DOCUMENT_ROOT__PHASE_LISTENER

  The meta object literal for the 'Phase Listener' containment reference feature.

### DOCUMENT_ROOT__PROPERTY

    static final EReference DOCUMENT_ROOT__PROPERTY

  The meta object literal for the 'Property' containment reference feature.

### DOCUMENT_ROOT__PROPERTY_CLASS

    static final EReference DOCUMENT_ROOT__PROPERTY_CLASS

  The meta object literal for the 'Property Class' containment reference feature.

### DOCUMENT_ROOT__PROPERTY_EXTENSION

    static final EReference DOCUMENT_ROOT__PROPERTY_EXTENSION

  The meta object literal for the 'Property Extension' containment reference feature.

### DOCUMENT_ROOT__PROPERTY_NAME

    static final EReference DOCUMENT_ROOT__PROPERTY_NAME

  The meta object literal for the 'Property Name' containment reference feature.

### DOCUMENT_ROOT__PROPERTY_RESOLVER

    static final EReference DOCUMENT_ROOT__PROPERTY_RESOLVER

  The meta object literal for the 'Property Resolver' containment reference feature.

### DOCUMENT_ROOT__REDIRECT

    static final EReference DOCUMENT_ROOT__REDIRECT

  The meta object literal for the 'Redirect' containment reference feature.

### DOCUMENT_ROOT__REDIRECT_VIEW_PARAM

    static final EReference DOCUMENT_ROOT__REDIRECT_VIEW_PARAM

  The meta object literal for the 'Redirect View Param' containment reference feature.

### DOCUMENT_ROOT__REFERENCED_BEAN

    static final EReference DOCUMENT_ROOT__REFERENCED_BEAN

  The meta object literal for the 'Referenced Bean' containment reference feature.

### DOCUMENT_ROOT__REFERENCED_BEAN_CLASS

    static final EReference DOCUMENT_ROOT__REFERENCED_BEAN_CLASS

  The meta object literal for the 'Referenced Bean Class' containment reference feature.

### DOCUMENT_ROOT__REFERENCED_BEAN_NAME

    static final EReference DOCUMENT_ROOT__REFERENCED_BEAN_NAME

  The meta object literal for the 'Referenced Bean Name' containment reference feature.

### DOCUMENT_ROOT__RENDERER

    static final EReference DOCUMENT_ROOT__RENDERER

  The meta object literal for the 'Renderer' containment reference feature.

### DOCUMENT_ROOT__RENDERER_CLASS

    static final EReference DOCUMENT_ROOT__RENDERER_CLASS

  The meta object literal for the 'Renderer Class' containment reference feature.

### DOCUMENT_ROOT__RENDERER_EXTENSION

    static final EReference DOCUMENT_ROOT__RENDERER_EXTENSION

  The meta object literal for the 'Renderer Extension' containment reference feature.

### DOCUMENT_ROOT__RENDERER_TYPE

    static final EReference DOCUMENT_ROOT__RENDERER_TYPE

  The meta object literal for the 'Renderer Type' containment reference feature.

### DOCUMENT_ROOT__RENDER_KIT

    static final EReference DOCUMENT_ROOT__RENDER_KIT

  The meta object literal for the 'Render Kit' containment reference feature.

### DOCUMENT_ROOT__RENDER_KIT_CLASS

    static final EReference DOCUMENT_ROOT__RENDER_KIT_CLASS

  The meta object literal for the 'Render Kit Class' containment reference feature.

### DOCUMENT_ROOT__RENDER_KIT_FACTORY

    static final EReference DOCUMENT_ROOT__RENDER_KIT_FACTORY

  The meta object literal for the 'Render Kit Factory' containment reference feature.

### DOCUMENT_ROOT__RENDER_KIT_ID

    static final EReference DOCUMENT_ROOT__RENDER_KIT_ID

  The meta object literal for the 'Render Kit Id' containment reference feature.

### DOCUMENT_ROOT__RESOURCE_HANDLER

    static final EReference DOCUMENT_ROOT__RESOURCE_HANDLER

  The meta object literal for the 'Resource Handler' containment reference feature.

### DOCUMENT_ROOT__SMALL_ICON

    static final EReference DOCUMENT_ROOT__SMALL_ICON

  The meta object literal for the 'Small Icon' containment reference feature.

### DOCUMENT_ROOT__SOURCE_CLASS

    static final EReference DOCUMENT_ROOT__SOURCE_CLASS

  The meta object literal for the 'Source Class' containment reference feature.

### DOCUMENT_ROOT__STATE_MANAGER

    static final EReference DOCUMENT_ROOT__STATE_MANAGER

  The meta object literal for the 'State Manager' containment reference feature.

### DOCUMENT_ROOT__SUGGESTED_VALUE

    static final EReference DOCUMENT_ROOT__SUGGESTED_VALUE

  The meta object literal for the 'Suggested Value' containment reference feature.

### DOCUMENT_ROOT__SUPPORTED_LOCALE

    static final EReference DOCUMENT_ROOT__SUPPORTED_LOCALE

  The meta object literal for the 'Supported Locale' containment reference feature.

### DOCUMENT_ROOT__SYSTEM_EVENT_CLASS

    static final EReference DOCUMENT_ROOT__SYSTEM_EVENT_CLASS

  The meta object literal for the 'System Event Class' containment reference feature.

### DOCUMENT_ROOT__SYSTEM_EVENT_LISTENER

    static final EReference DOCUMENT_ROOT__SYSTEM_EVENT_LISTENER

  The meta object literal for the 'System Event Listener' containment reference feature.

### DOCUMENT_ROOT__SYSTEM_EVENT_LISTENER_CLASS

    static final EReference DOCUMENT_ROOT__SYSTEM_EVENT_LISTENER_CLASS

  The meta object literal for the 'System Event Listener Class' containment reference feature.

### DOCUMENT_ROOT__TAG_HANDLER_DELEGATE_FACTORY

    static final EReference DOCUMENT_ROOT__TAG_HANDLER_DELEGATE_FACTORY

  The meta object literal for the 'Tag Handler Delegate Factory' containment reference feature.

### DOCUMENT_ROOT__TO_VIEW_ID

    static final EReference DOCUMENT_ROOT__TO_VIEW_ID

  The meta object literal for the 'To View Id' containment reference feature.

### DOCUMENT_ROOT__VALIDATOR

    static final EReference DOCUMENT_ROOT__VALIDATOR

  The meta object literal for the 'Validator' containment reference feature.

### DOCUMENT_ROOT__VALIDATOR_CLASS

    static final EReference DOCUMENT_ROOT__VALIDATOR_CLASS

  The meta object literal for the 'Validator Class' containment reference feature.

### DOCUMENT_ROOT__VALIDATOR_ID

    static final EReference DOCUMENT_ROOT__VALIDATOR_ID

  The meta object literal for the 'Validator Id' containment reference feature.

### DOCUMENT_ROOT__VALUE

    static final EReference DOCUMENT_ROOT__VALUE

  The meta object literal for the 'Value' containment reference feature.

### DOCUMENT_ROOT__VALUE_CLASS

    static final EReference DOCUMENT_ROOT__VALUE_CLASS

  The meta object literal for the 'Value Class' containment reference feature.

### DOCUMENT_ROOT__VARIABLE_RESOLVER

    static final EReference DOCUMENT_ROOT__VARIABLE_RESOLVER

  The meta object literal for the 'Variable Resolver' containment reference feature.

### DOCUMENT_ROOT__VIEW_DECLARATION_LANGUAGE_FACTORY

    static final EReference DOCUMENT_ROOT__VIEW_DECLARATION_LANGUAGE_FACTORY

  The meta object literal for the 'View Declaration Language Factory' containment reference feature.

### DOCUMENT_ROOT__VIEW_HANDLER

    static final EReference DOCUMENT_ROOT__VIEW_HANDLER

  The meta object literal for the 'View Handler' containment reference feature.

### DOCUMENT_ROOT__VISIT_CONTEXT_FACTORY

    static final EReference DOCUMENT_ROOT__VISIT_CONTEXT_FACTORY

  The meta object literal for the 'Visit Context Factory' containment reference feature.

### DYNAMIC_ATTRIBUTE

    static final EClass DYNAMIC_ATTRIBUTE

  The meta object literal for the '`Dynamic Attribute`' class.

  See Also:
    `DynamicAttributeImpl`, `FacesConfigPackageImpl.getDynamicAttribute()`

### DYNAMIC_ATTRIBUTE__NAME

    static final EAttribute DYNAMIC_ATTRIBUTE__NAME

  The meta object literal for the 'Name' attribute feature.

### DYNAMIC_ATTRIBUTE__VALUE

    static final EAttribute DYNAMIC_ATTRIBUTE__VALUE

  The meta object literal for the 'Value' attribute feature.

### DYNAMIC_ELEMENT

    static final EClass DYNAMIC_ELEMENT

  The meta object literal for the '`Dynamic Element`' class.

  See Also:
    `DynamicElementImpl`, `FacesConfigPackageImpl.getDynamicElement()`

### DYNAMIC_ELEMENT__CHILD_NODES

    static final EReference DYNAMIC_ELEMENT__CHILD_NODES

  The meta object literal for the 'Child Nodes' containment reference list feature.

### DYNAMIC_ELEMENT__ATTRIBUTES

    static final EReference DYNAMIC_ELEMENT__ATTRIBUTES

  The meta object literal for the 'Attributes' reference list feature.

### DYNAMIC_ELEMENT__TEXT_CONTENT

    static final EAttribute DYNAMIC_ELEMENT__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### EL_RESOLVER_TYPE

    static final EClass EL_RESOLVER_TYPE

  The meta object literal for the '`EL Resolver Type`' class.

  See Also:
    `ELResolverTypeImpl`, `FacesConfigPackageImpl.getELResolverType()`

### EL_RESOLVER_TYPE__TEXT_CONTENT

    static final EAttribute EL_RESOLVER_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### EL_RESOLVER_TYPE__ID

    static final EAttribute EL_RESOLVER_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### EXCEPTION_HANDLER_FACTORY_TYPE

    static final EClass EXCEPTION_HANDLER_FACTORY_TYPE

  The meta object literal for the '`Exception Handler Factory Type`' class.

  See Also:
    `ExceptionHandlerFactoryTypeImpl`, `FacesConfigPackageImpl.getExceptionHandlerFactoryType()`

### EXCEPTION_HANDLER_FACTORY_TYPE__TEXT_CONTENT

    static final EAttribute EXCEPTION_HANDLER_FACTORY_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### EXCEPTION_HANDLER_FACTORY_TYPE__ID

    static final EAttribute EXCEPTION_HANDLER_FACTORY_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### DYNAMIC_ELEMENT__NAME

    static final EAttribute DYNAMIC_ELEMENT__NAME

  The meta object literal for the 'Name' attribute feature.

### FACES_CONFIG_TYPE

    static final EClass FACES_CONFIG_TYPE

  The meta object literal for the '`Type`' class.

  See Also:
    `FacesConfigTypeImpl`, `FacesConfigPackageImpl.getFacesConfigType()`

### FACES_CONFIG_TYPE__APPLICATION

    static final EReference FACES_CONFIG_TYPE__APPLICATION

  The meta object literal for the 'Application' containment reference list feature.

### FACES_CONFIG_TYPE__ORDERING

    static final EReference FACES_CONFIG_TYPE__ORDERING

  The meta object literal for the 'Ordering' containment reference list feature.

### FACES_CONFIG_TYPE__ABSOLUTE_ORDERING

    static final EReference FACES_CONFIG_TYPE__ABSOLUTE_ORDERING

  The meta object literal for the 'Absolute Ordering' containment reference feature.

### FACES_CONFIG_TYPE__FACTORY

    static final EReference FACES_CONFIG_TYPE__FACTORY

  The meta object literal for the 'Factory' containment reference list feature.

### FACES_CONFIG_TYPE__COMPONENT

    static final EReference FACES_CONFIG_TYPE__COMPONENT

  The meta object literal for the 'Component' containment reference list feature.

### FACES_CONFIG_TYPE__CONVERTER

    static final EReference FACES_CONFIG_TYPE__CONVERTER

  The meta object literal for the 'Converter' containment reference list feature.

### FACES_CONFIG_TYPE__MANAGED_BEAN

    static final EReference FACES_CONFIG_TYPE__MANAGED_BEAN

  The meta object literal for the 'Managed Bean' containment reference list feature.

### FACES_CONFIG_TYPE__NAME

    static final EReference FACES_CONFIG_TYPE__NAME

  The meta object literal for the 'Name' containment reference feature.

### FACES_CONFIG_TYPE__NAVIGATION_RULE

    static final EReference FACES_CONFIG_TYPE__NAVIGATION_RULE

  The meta object literal for the 'Navigation Rule' containment reference list feature.

### FACES_CONFIG_TYPE__REFERENCED_BEAN

    static final EReference FACES_CONFIG_TYPE__REFERENCED_BEAN

  The meta object literal for the 'Referenced Bean' containment reference list feature.

### FACES_CONFIG_TYPE__RENDER_KIT

    static final EReference FACES_CONFIG_TYPE__RENDER_KIT

  The meta object literal for the 'Render Kit' containment reference list feature.

### FACES_CONFIG_TYPE__LIFECYCLE

    static final EReference FACES_CONFIG_TYPE__LIFECYCLE

  The meta object literal for the 'Lifecycle' containment reference list feature.

### FACES_CONFIG_TYPE__VALIDATOR

    static final EReference FACES_CONFIG_TYPE__VALIDATOR

  The meta object literal for the 'Validator' containment reference list feature.

### FACES_CONFIG_TYPE__BEHAVIOR

    static final EReference FACES_CONFIG_TYPE__BEHAVIOR

  The meta object literal for the 'Behavior' containment reference list feature.

### FACES_CONFIG_TYPE__FACES_CONFIG_EXTENSION

    static final EReference FACES_CONFIG_TYPE__FACES_CONFIG_EXTENSION

  The meta object literal for the 'Faces Config Extension' reference list feature.

### FACES_CONFIG_TYPE__XMLNS

    static final EAttribute FACES_CONFIG_TYPE__XMLNS

  The meta object literal for the 'Xmlns' attribute feature.

### FACES_CONFIG_TYPE__ID

    static final EAttribute FACES_CONFIG_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### FACES_CONFIG_TYPE__METADATA_COMPLETE

    static final EAttribute FACES_CONFIG_TYPE__METADATA_COMPLETE

  The meta object literal for the 'Metadata Complete' attribute feature.

### FACES_CONTEXT_FACTORY_TYPE

    static final EClass FACES_CONTEXT_FACTORY_TYPE

  The meta object literal for the '`Faces Context Factory Type`' class.

  See Also:
    `FacesContextFactoryTypeImpl`, `FacesConfigPackageImpl.getFacesContextFactoryType()`

### FACES_CONTEXT_FACTORY_TYPE__TEXT_CONTENT

    static final EAttribute FACES_CONTEXT_FACTORY_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### FACES_CONTEXT_FACTORY_TYPE__ID

    static final EAttribute FACES_CONTEXT_FACTORY_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### FACET_EXTENSION_TYPE

    static final EClass FACET_EXTENSION_TYPE

  The meta object literal for the '`Facet Extension Type`' class.

  See Also:
    `FacetExtensionTypeImpl`, `FacesConfigPackageImpl.getFacetExtensionType()`

### FACET_NAME_TYPE

    static final EClass FACET_NAME_TYPE

  The meta object literal for the '`Facet Name Type`' class.

  See Also:
    `FacetNameTypeImpl`, `FacesConfigPackageImpl.getFacetNameType()`

### FACET_NAME_TYPE__TEXT_CONTENT

    static final EAttribute FACET_NAME_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### FACET_NAME_TYPE__ID

    static final EAttribute FACET_NAME_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### FACET_TYPE

    static final EClass FACET_TYPE

  The meta object literal for the '`Facet Type`' class.

  See Also:
    `FacetTypeImpl`, `FacesConfigPackageImpl.getFacetType()`

### FACET_TYPE__DESCRIPTION

    static final EReference FACET_TYPE__DESCRIPTION

  The meta object literal for the 'Description' containment reference list feature.

### FACET_TYPE__DISPLAY_NAME

    static final EReference FACET_TYPE__DISPLAY_NAME

  The meta object literal for the 'Display Name' containment reference list feature.

### FACET_TYPE__ICON

    static final EReference FACET_TYPE__ICON

  The meta object literal for the 'Icon' containment reference list feature.

### FACET_TYPE__FACET_NAME

    static final EReference FACET_TYPE__FACET_NAME

  The meta object literal for the 'Facet Name' containment reference feature.

### FACET_TYPE__FACET_EXTENSION

    static final EReference FACET_TYPE__FACET_EXTENSION

  The meta object literal for the 'Facet Extension' containment reference list feature.

### FACET_TYPE__ID

    static final EAttribute FACET_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### FACTORY_TYPE

    static final EClass FACTORY_TYPE

  The meta object literal for the '`Factory Type`' class.

  See Also:
    `FactoryTypeImpl`, `FacesConfigPackageImpl.getFactoryType()`

### FACTORY_TYPE__APPLICATION_FACTORY

    static final EReference FACTORY_TYPE__APPLICATION_FACTORY

  The meta object literal for the 'Application Factory' containment reference list feature.

### FACTORY_TYPE__EXCEPTION_HANDLER_FACTORY

    static final EReference FACTORY_TYPE__EXCEPTION_HANDLER_FACTORY

  The meta object literal for the 'Exception Handler Factory' containment reference list feature.

### FACTORY_TYPE__EXTERNAL_CONTEXT_FACTORY

    static final EReference FACTORY_TYPE__EXTERNAL_CONTEXT_FACTORY

  The meta object literal for the 'External Context Factory' containment reference list feature.

### FACTORY_TYPE__FACES_CONTEXT_FACTORY

    static final EReference FACTORY_TYPE__FACES_CONTEXT_FACTORY

  The meta object literal for the 'Faces Context Factory' containment reference list feature.

### FACTORY_TYPE__PARTIAL_VIEW_CONTEXT_FACTORY

    static final EReference FACTORY_TYPE__PARTIAL_VIEW_CONTEXT_FACTORY

  The meta object literal for the 'Partial View Context Factory' containment reference list feature.

### FACTORY_TYPE__LIFECYCLE_FACTORY

    static final EReference FACTORY_TYPE__LIFECYCLE_FACTORY

  The meta object literal for the 'Lifecycle Factory' containment reference list feature.

### FACTORY_TYPE__VIEW_DECLARATION_LANGUAGE_FACTORY

    static final EReference FACTORY_TYPE__VIEW_DECLARATION_LANGUAGE_FACTORY

  The meta object literal for the 'View Declaration Language Factory' containment reference list feature.

### FACTORY_TYPE__TAG_HANDLER_DELEGATE_FACTORY

    static final EReference FACTORY_TYPE__TAG_HANDLER_DELEGATE_FACTORY

  The meta object literal for the 'Tag Handler Delegate Factory' containment reference list feature.

### FACTORY_TYPE__RENDER_KIT_FACTORY

    static final EReference FACTORY_TYPE__RENDER_KIT_FACTORY

  The meta object literal for the 'Render Kit Factory' containment reference list feature.

### FACTORY_TYPE__VISIT_CONTEXT_FACTORY

    static final EReference FACTORY_TYPE__VISIT_CONTEXT_FACTORY

  The meta object literal for the 'Visit Context Factory' containment reference list feature.

### FACTORY_TYPE__FACTORY_EXTENSION

    static final EReference FACTORY_TYPE__FACTORY_EXTENSION

  The meta object literal for the 'Factory Extension' reference list feature.

### FACTORY_TYPE__ID

    static final EAttribute FACTORY_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### FROM_ACTION_TYPE

    static final EClass FROM_ACTION_TYPE

  The meta object literal for the '`From Action Type`' class.

  See Also:
    `FromActionTypeImpl`, `FacesConfigPackageImpl.getFromActionType()`

### FROM_ACTION_TYPE__TEXT_CONTENT

    static final EAttribute FROM_ACTION_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### FROM_ACTION_TYPE__ID

    static final EAttribute FROM_ACTION_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### FROM_OUTCOME_TYPE

    static final EClass FROM_OUTCOME_TYPE

  The meta object literal for the '`From Outcome Type`' class.

  See Also:
    `FromOutcomeTypeImpl`, `FacesConfigPackageImpl.getFromOutcomeType()`

### FROM_OUTCOME_TYPE__TEXT_CONTENT

    static final EAttribute FROM_OUTCOME_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### FROM_OUTCOME_TYPE__ID

    static final EAttribute FROM_OUTCOME_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### FROM_VIEW_ID_TYPE

    static final EClass FROM_VIEW_ID_TYPE

  The meta object literal for the '`From View Id Type`' class.

  See Also:
    `FromViewIdTypeImpl`, `FacesConfigPackageImpl.getFromViewIdType()`

### FROM_VIEW_ID_TYPE__TEXT_CONTENT

    static final EAttribute FROM_VIEW_ID_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### FROM_VIEW_ID_TYPE__ID

    static final EAttribute FROM_VIEW_ID_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### ICON_TYPE

    static final EClass ICON_TYPE

  The meta object literal for the '`Icon Type`' class.

  See Also:
    `IconTypeImpl`, `FacesConfigPackageImpl.getIconType()`

### ICON_TYPE__SMALL_ICON

    static final EReference ICON_TYPE__SMALL_ICON

  The meta object literal for the 'Small Icon' containment reference feature.

### ICON_TYPE__LARGE_ICON

    static final EReference ICON_TYPE__LARGE_ICON

  The meta object literal for the 'Large Icon' containment reference feature.

### ICON_TYPE__LANG

    static final EAttribute ICON_TYPE__LANG

  The meta object literal for the 'Lang' attribute feature.

### ICON_TYPE__ID

    static final EAttribute ICON_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### IF_TYPE

    static final EClass IF_TYPE

  The meta object literal for the '`If Type`' class.

  See Also:
    `IfTypeImpl`, `FacesConfigPackageImpl.getIfType()`

### IF_TYPE__TEXT_CONTENT

    static final EAttribute IF_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### IF_TYPE__ID

    static final EAttribute IF_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### KEY_CLASS_TYPE

    static final EClass KEY_CLASS_TYPE

  The meta object literal for the '`Key Class Type`' class.

  See Also:
    `KeyClassTypeImpl`, `FacesConfigPackageImpl.getKeyClassType()`

### KEY_CLASS_TYPE__TEXT_CONTENT

    static final EAttribute KEY_CLASS_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### KEY_CLASS_TYPE__ID

    static final EAttribute KEY_CLASS_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### KEY_TYPE

    static final EClass KEY_TYPE

  The meta object literal for the '`Key Type`' class.

  See Also:
    `KeyTypeImpl`, `FacesConfigPackageImpl.getKeyType()`

### KEY_TYPE__TEXT_CONTENT

    static final EAttribute KEY_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### KEY_TYPE__ID

    static final EAttribute KEY_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### LARGE_ICON_TYPE

    static final EClass LARGE_ICON_TYPE

  The meta object literal for the '`Large Icon Type`' class.

  See Also:
    `LargeIconTypeImpl`, `FacesConfigPackageImpl.getLargeIconType()`

### LARGE_ICON_TYPE__TEXT_CONTENT

    static final EAttribute LARGE_ICON_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### LARGE_ICON_TYPE__ID

    static final EAttribute LARGE_ICON_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### LIFECYCLE_FACTORY_TYPE

    static final EClass LIFECYCLE_FACTORY_TYPE

  The meta object literal for the '`Lifecycle Factory Type`' class.

  See Also:
    `LifecycleFactoryTypeImpl`, `FacesConfigPackageImpl.getLifecycleFactoryType()`

### LIFECYCLE_FACTORY_TYPE__TEXT_CONTENT

    static final EAttribute LIFECYCLE_FACTORY_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### LIFECYCLE_FACTORY_TYPE__ID

    static final EAttribute LIFECYCLE_FACTORY_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### LIFECYCLE_TYPE

    static final EClass LIFECYCLE_TYPE

  The meta object literal for the '`Lifecycle Type`' class.

  See Also:
    `LifecycleTypeImpl`, `FacesConfigPackageImpl.getLifecycleType()`

### LIFECYCLE_TYPE__PHASE_LISTENER

    static final EReference LIFECYCLE_TYPE__PHASE_LISTENER

  The meta object literal for the 'Phase Listener' containment reference list feature.

### LIFECYCLE_TYPE__LIFECYCLE_EXTENSION

    static final EReference LIFECYCLE_TYPE__LIFECYCLE_EXTENSION

  The meta object literal for the 'Lifecycle Extension' containment reference list feature.

### LIFECYCLE_TYPE__ID

    static final EAttribute LIFECYCLE_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### LIST_ENTRIES_TYPE

    static final EClass LIST_ENTRIES_TYPE

  The meta object literal for the '`List Entries Type`' class.

  See Also:
    `ListEntriesTypeImpl`, `FacesConfigPackageImpl.getListEntriesType()`

### LIST_ENTRIES_TYPE__VALUE_CLASS

    static final EReference LIST_ENTRIES_TYPE__VALUE_CLASS

  The meta object literal for the 'Value Class' containment reference feature.

### LIST_ENTRIES_TYPE__NULL_VALUE

    static final EReference LIST_ENTRIES_TYPE__NULL_VALUE

  The meta object literal for the 'Null Value' containment reference list feature.

### LIST_ENTRIES_TYPE__VALUE

    static final EReference LIST_ENTRIES_TYPE__VALUE

  The meta object literal for the 'Value' containment reference list feature.

### LIST_ENTRIES_TYPE__ID

    static final EAttribute LIST_ENTRIES_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### LOCALE_CONFIG_TYPE

    static final EClass LOCALE_CONFIG_TYPE

  The meta object literal for the '`Locale Config Type`' class.

  See Also:
    `LocaleConfigTypeImpl`, `FacesConfigPackageImpl.getLocaleConfigType()`

### LOCALE_CONFIG_TYPE__DEFAULT_LOCALE

    static final EReference LOCALE_CONFIG_TYPE__DEFAULT_LOCALE

  The meta object literal for the 'Default Locale' containment reference feature.

### LOCALE_CONFIG_TYPE__SUPPORTED_LOCALE

    static final EReference LOCALE_CONFIG_TYPE__SUPPORTED_LOCALE

  The meta object literal for the 'Supported Locale' containment reference list feature.

### LOCALE_CONFIG_TYPE__ID

    static final EAttribute LOCALE_CONFIG_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### MANAGED_BEAN_CLASS_TYPE

    static final EClass MANAGED_BEAN_CLASS_TYPE

  The meta object literal for the '`Managed Bean Class Type`' class.

  See Also:
    `ManagedBeanClassTypeImpl`, `FacesConfigPackageImpl.getManagedBeanClassType()`

### MANAGED_BEAN_CLASS_TYPE__TEXT_CONTENT

    static final EAttribute MANAGED_BEAN_CLASS_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### MANAGED_BEAN_CLASS_TYPE__ID

    static final EAttribute MANAGED_BEAN_CLASS_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### MANAGED_BEAN_NAME_TYPE

    static final EClass MANAGED_BEAN_NAME_TYPE

  The meta object literal for the '`Managed Bean Name Type`' class.

  See Also:
    `ManagedBeanNameTypeImpl`, `FacesConfigPackageImpl.getManagedBeanNameType()`

### MANAGED_BEAN_NAME_TYPE__TEXT_CONTENT

    static final EAttribute MANAGED_BEAN_NAME_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### MANAGED_BEAN_NAME_TYPE__ID

    static final EAttribute MANAGED_BEAN_NAME_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### MANAGED_BEAN_SCOPE_TYPE

    static final EClass MANAGED_BEAN_SCOPE_TYPE

  The meta object literal for the '`Managed Bean Scope Type`' class.

  See Also:
    `ManagedBeanScopeTypeImpl`, `FacesConfigPackageImpl.getManagedBeanScopeType()`

### MANAGED_BEAN_SCOPE_TYPE__TEXT_CONTENT

    static final EAttribute MANAGED_BEAN_SCOPE_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### MANAGED_BEAN_SCOPE_TYPE__ID

    static final EAttribute MANAGED_BEAN_SCOPE_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### MANAGED_BEAN_TYPE

    static final EClass MANAGED_BEAN_TYPE

  The meta object literal for the '`Managed Bean Type`' class.

  See Also:
    `ManagedBeanTypeImpl`, `FacesConfigPackageImpl.getManagedBeanType()`

### MANAGED_BEAN_TYPE__DESCRIPTION

    static final EReference MANAGED_BEAN_TYPE__DESCRIPTION

  The meta object literal for the 'Description' containment reference list feature.

### MANAGED_BEAN_TYPE__DISPLAY_NAME

    static final EReference MANAGED_BEAN_TYPE__DISPLAY_NAME

  The meta object literal for the 'Display Name' containment reference list feature.

### MANAGED_BEAN_TYPE__ICON

    static final EReference MANAGED_BEAN_TYPE__ICON

  The meta object literal for the 'Icon' containment reference list feature.

### MANAGED_BEAN_TYPE__MANAGED_BEAN_NAME

    static final EReference MANAGED_BEAN_TYPE__MANAGED_BEAN_NAME

  The meta object literal for the 'Managed Bean Name' containment reference feature.

### MANAGED_BEAN_TYPE__MANAGED_BEAN_CLASS

    static final EReference MANAGED_BEAN_TYPE__MANAGED_BEAN_CLASS

  The meta object literal for the 'Managed Bean Class' containment reference feature.

### MANAGED_BEAN_TYPE__MANAGED_BEAN_SCOPE

    static final EReference MANAGED_BEAN_TYPE__MANAGED_BEAN_SCOPE

  The meta object literal for the 'Managed Bean Scope' containment reference feature.

### MANAGED_BEAN_TYPE__MANAGED_PROPERTY

    static final EReference MANAGED_BEAN_TYPE__MANAGED_PROPERTY

  The meta object literal for the 'Managed Property' containment reference list feature.

### MANAGED_BEAN_TYPE__MAP_ENTRIES

    static final EReference MANAGED_BEAN_TYPE__MAP_ENTRIES

  The meta object literal for the 'Map Entries' containment reference feature.

### MANAGED_BEAN_TYPE__LIST_ENTRIES

    static final EReference MANAGED_BEAN_TYPE__LIST_ENTRIES

  The meta object literal for the 'List Entries' containment reference feature.

### MANAGED_BEAN_TYPE__MANAGED_BEAN_EXTENSION

    static final EReference MANAGED_BEAN_TYPE__MANAGED_BEAN_EXTENSION

  The meta object literal for the 'Managed Bean Extension' containment reference list feature.

### MANAGED_BEAN_TYPE__ID

    static final EAttribute MANAGED_BEAN_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### MANAGED_BEAN_TYPE__EAGER

    static final EAttribute MANAGED_BEAN_TYPE__EAGER

  The meta object literal for the 'Eager' attribute feature.

### MANAGED_PROPERTY_TYPE

    static final EClass MANAGED_PROPERTY_TYPE

  The meta object literal for the '`Managed Property Type`' class.

  See Also:
    `ManagedPropertyTypeImpl`, `FacesConfigPackageImpl.getManagedPropertyType()`

### MANAGED_PROPERTY_TYPE__DESCRIPTION

    static final EReference MANAGED_PROPERTY_TYPE__DESCRIPTION

  The meta object literal for the 'Description' containment reference list feature.

### MANAGED_PROPERTY_TYPE__DISPLAY_NAME

    static final EReference MANAGED_PROPERTY_TYPE__DISPLAY_NAME

  The meta object literal for the 'Display Name' containment reference list feature.

### MANAGED_PROPERTY_TYPE__ICON

    static final EReference MANAGED_PROPERTY_TYPE__ICON

  The meta object literal for the 'Icon' containment reference list feature.

### MANAGED_PROPERTY_TYPE__PROPERTY_NAME

    static final EReference MANAGED_PROPERTY_TYPE__PROPERTY_NAME

  The meta object literal for the 'Property Name' containment reference feature.

### MANAGED_PROPERTY_TYPE__PROPERTY_CLASS

    static final EReference MANAGED_PROPERTY_TYPE__PROPERTY_CLASS

  The meta object literal for the 'Property Class' containment reference feature.

### MANAGED_PROPERTY_TYPE__MAP_ENTRIES

    static final EReference MANAGED_PROPERTY_TYPE__MAP_ENTRIES

  The meta object literal for the 'Map Entries' containment reference feature.

### MANAGED_PROPERTY_TYPE__NULL_VALUE

    static final EReference MANAGED_PROPERTY_TYPE__NULL_VALUE

  The meta object literal for the 'Null Value' containment reference feature.

### MANAGED_PROPERTY_TYPE__VALUE

    static final EReference MANAGED_PROPERTY_TYPE__VALUE

  The meta object literal for the 'Value' containment reference feature.

### MANAGED_PROPERTY_TYPE__LIST_ENTRIES

    static final EReference MANAGED_PROPERTY_TYPE__LIST_ENTRIES

  The meta object literal for the 'List Entries' containment reference feature.

### MANAGED_PROPERTY_TYPE__ID

    static final EAttribute MANAGED_PROPERTY_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### MAP_ENTRIES_TYPE

    static final EClass MAP_ENTRIES_TYPE

  The meta object literal for the '`Map Entries Type`' class.

  See Also:
    `MapEntriesTypeImpl`, `FacesConfigPackageImpl.getMapEntriesType()`

### MAP_ENTRIES_TYPE__KEY_CLASS

    static final EReference MAP_ENTRIES_TYPE__KEY_CLASS

  The meta object literal for the 'Key Class' containment reference feature.

### MAP_ENTRIES_TYPE__VALUE_CLASS

    static final EReference MAP_ENTRIES_TYPE__VALUE_CLASS

  The meta object literal for the 'Value Class' containment reference feature.

### MAP_ENTRIES_TYPE__MAP_ENTRY

    static final EReference MAP_ENTRIES_TYPE__MAP_ENTRY

  The meta object literal for the 'Map Entry' containment reference list feature.

### MAP_ENTRIES_TYPE__ID

    static final EAttribute MAP_ENTRIES_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### MAP_ENTRY_TYPE

    static final EClass MAP_ENTRY_TYPE

  The meta object literal for the '`Map Entry Type`' class.

  See Also:
    `MapEntryTypeImpl`, `FacesConfigPackageImpl.getMapEntryType()`

### MAP_ENTRY_TYPE__KEY

    static final EReference MAP_ENTRY_TYPE__KEY

  The meta object literal for the 'Key' containment reference feature.

### MAP_ENTRY_TYPE__NULL_VALUE

    static final EReference MAP_ENTRY_TYPE__NULL_VALUE

  The meta object literal for the 'Null Value' containment reference feature.

### MAP_ENTRY_TYPE__VALUE

    static final EReference MAP_ENTRY_TYPE__VALUE

  The meta object literal for the 'Value' containment reference feature.

### MAP_ENTRY_TYPE__ID

    static final EAttribute MAP_ENTRY_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### MESSAGE_BUNDLE_TYPE

    static final EClass MESSAGE_BUNDLE_TYPE

  The meta object literal for the '`Message Bundle Type`' class.

  See Also:
    `MessageBundleTypeImpl`, `FacesConfigPackageImpl.getMessageBundleType()`

### MESSAGE_BUNDLE_TYPE__TEXT_CONTENT

    static final EAttribute MESSAGE_BUNDLE_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### MESSAGE_BUNDLE_TYPE__ID

    static final EAttribute MESSAGE_BUNDLE_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### NAME_TYPE

    static final EClass NAME_TYPE

  The meta object literal for the '`Name Type`' class.

  See Also:
    `NameTypeImpl`, `FacesConfigPackageImpl.getNameType()`

### NAME_TYPE__TEXT_CONTENT

    static final EAttribute NAME_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### NAME_TYPE__ID

    static final EAttribute NAME_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### NAVIGATION_CASE_TYPE

    static final EClass NAVIGATION_CASE_TYPE

  The meta object literal for the '`Navigation Case Type`' class.

  See Also:
    `NavigationCaseTypeImpl`, `FacesConfigPackageImpl.getNavigationCaseType()`

### NAVIGATION_CASE_TYPE__DESCRIPTION

    static final EReference NAVIGATION_CASE_TYPE__DESCRIPTION

  The meta object literal for the 'Description' containment reference list feature.

### NAVIGATION_CASE_TYPE__DISPLAY_NAME

    static final EReference NAVIGATION_CASE_TYPE__DISPLAY_NAME

  The meta object literal for the 'Display Name' containment reference list feature.

### NAVIGATION_CASE_TYPE__ICON

    static final EReference NAVIGATION_CASE_TYPE__ICON

  The meta object literal for the 'Icon' containment reference list feature.

### NAVIGATION_CASE_TYPE__FROM_ACTION

    static final EReference NAVIGATION_CASE_TYPE__FROM_ACTION

  The meta object literal for the 'From Action' containment reference feature.

### NAVIGATION_CASE_TYPE__FROM_OUTCOME

    static final EReference NAVIGATION_CASE_TYPE__FROM_OUTCOME

  The meta object literal for the 'From Outcome' containment reference feature.

### NAVIGATION_CASE_TYPE__IF

    static final EReference NAVIGATION_CASE_TYPE__IF

  The meta object literal for the 'If' containment reference feature.

### NAVIGATION_CASE_TYPE__TO_VIEW_ID

    static final EReference NAVIGATION_CASE_TYPE__TO_VIEW_ID

  The meta object literal for the 'To View Id' containment reference feature.

### NAVIGATION_CASE_TYPE__REDIRECT

    static final EReference NAVIGATION_CASE_TYPE__REDIRECT

  The meta object literal for the 'Redirect' containment reference feature.

### NAVIGATION_CASE_TYPE__ID

    static final EAttribute NAVIGATION_CASE_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### NAVIGATION_HANDLER_TYPE

    static final EClass NAVIGATION_HANDLER_TYPE

  The meta object literal for the '`Navigation Handler Type`' class.

  See Also:
    `NavigationHandlerTypeImpl`, `FacesConfigPackageImpl.getNavigationHandlerType()`

### NAVIGATION_HANDLER_TYPE__TEXT_CONTENT

    static final EAttribute NAVIGATION_HANDLER_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### NAVIGATION_HANDLER_TYPE__ID

    static final EAttribute NAVIGATION_HANDLER_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### NAVIGATION_RULE_TYPE

    static final EClass NAVIGATION_RULE_TYPE

  The meta object literal for the '`Navigation Rule Type`' class.

  See Also:
    `NavigationRuleTypeImpl`, `FacesConfigPackageImpl.getNavigationRuleType()`

### NAVIGATION_RULE_TYPE__DESCRIPTION

    static final EReference NAVIGATION_RULE_TYPE__DESCRIPTION

  The meta object literal for the 'Description' containment reference list feature.

### NAVIGATION_RULE_TYPE__DISPLAY_NAME

    static final EReference NAVIGATION_RULE_TYPE__DISPLAY_NAME

  The meta object literal for the 'Display Name' containment reference list feature.

### NAVIGATION_RULE_TYPE__ICON

    static final EReference NAVIGATION_RULE_TYPE__ICON

  The meta object literal for the 'Icon' containment reference list feature.

### NAVIGATION_RULE_TYPE__FROM_VIEW_ID

    static final EReference NAVIGATION_RULE_TYPE__FROM_VIEW_ID

  The meta object literal for the 'From View Id' containment reference feature.

### NAVIGATION_RULE_TYPE__NAVIGATION_CASE

    static final EReference NAVIGATION_RULE_TYPE__NAVIGATION_CASE

  The meta object literal for the 'Navigation Case' containment reference list feature.

### NAVIGATION_RULE_TYPE__NAVIGATION_RULE_EXTENSION

    static final EReference NAVIGATION_RULE_TYPE__NAVIGATION_RULE_EXTENSION

  The meta object literal for the 'Navigation Rule Extension' containment reference list feature.

### NAVIGATION_RULE_TYPE__ID

    static final EAttribute NAVIGATION_RULE_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### NULL_VALUE_TYPE

    static final EClass NULL_VALUE_TYPE

  The meta object literal for the '`Null Value Type`' class.

  See Also:
    `NullValueTypeImpl`, `FacesConfigPackageImpl.getNullValueType()`

### NULL_VALUE_TYPE__ID

    static final EAttribute NULL_VALUE_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### ORDERING_TYPE

    static final EClass ORDERING_TYPE

  The meta object literal for the '`Ordering Type`' class.

  See Also:
    `OrderingTypeImpl`, `FacesConfigPackageImpl.getOrderingType()`

### ORDERING_TYPE__BEFORE

    static final EReference ORDERING_TYPE__BEFORE

  The meta object literal for the 'Before' containment reference feature.

### ORDERING_TYPE__AFTER

    static final EReference ORDERING_TYPE__AFTER

  The meta object literal for the 'After' containment reference feature.

### ORDERING_ORDERING_TYPE

    static final EClass ORDERING_ORDERING_TYPE

  The meta object literal for the '`Ordering Ordering Type`' class.

  See Also:
    `OrderingOrderingTypeImpl`, `FacesConfigPackageImpl.getOrderingOrderingType()`

### ORDERING_ORDERING_TYPE__NAME

    static final EReference ORDERING_ORDERING_TYPE__NAME

  The meta object literal for the 'Name' containment reference list feature.

### ORDERING_ORDERING_TYPE__OTHERS

    static final EReference ORDERING_ORDERING_TYPE__OTHERS

  The meta object literal for the 'Others' containment reference feature.

### ORDERING_OTHERS_TYPE

    static final EClass ORDERING_OTHERS_TYPE

  The meta object literal for the '`Ordering Others Type`' class.

  See Also:
    `OrderingOthersTypeImpl`, `FacesConfigPackageImpl.getOrderingOthersType()`

### ORDERING_OTHERS_TYPE__ID

    static final EAttribute ORDERING_OTHERS_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### PARTIAL_VIEW_CONTEXT_FACTORY_TYPE

    static final EClass PARTIAL_VIEW_CONTEXT_FACTORY_TYPE

  The meta object literal for the '`Partial View Context Factory Type`' class.

  See Also:
    `PartialViewContextFactoryTypeImpl`, `FacesConfigPackageImpl.getPartialViewContextFactoryType()`

### PARTIAL_VIEW_CONTEXT_FACTORY_TYPE__TEXT_CONTENT

    static final EAttribute PARTIAL_VIEW_CONTEXT_FACTORY_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### PARTIAL_VIEW_CONTEXT_FACTORY_TYPE__ID

    static final EAttribute PARTIAL_VIEW_CONTEXT_FACTORY_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### PHASE_LISTENER_TYPE

    static final EClass PHASE_LISTENER_TYPE

  The meta object literal for the '`Phase Listener Type`' class.

  See Also:
    `PhaseListenerTypeImpl`, `FacesConfigPackageImpl.getPhaseListenerType()`

### PHASE_LISTENER_TYPE__TEXT_CONTENT

    static final EAttribute PHASE_LISTENER_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### PHASE_LISTENER_TYPE__ID

    static final EAttribute PHASE_LISTENER_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### PROPERTY_CLASS_TYPE

    static final EClass PROPERTY_CLASS_TYPE

  The meta object literal for the '`Property Class Type`' class.

  See Also:
    `PropertyClassTypeImpl`, `FacesConfigPackageImpl.getPropertyClassType()`

### PROPERTY_CLASS_TYPE__TEXT_CONTENT

    static final EAttribute PROPERTY_CLASS_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### PROPERTY_CLASS_TYPE__ID

    static final EAttribute PROPERTY_CLASS_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### PROPERTY_EXTENSION_TYPE

    static final EClass PROPERTY_EXTENSION_TYPE

  The meta object literal for the '`Property Extension Type`' class.

  See Also:
    `PropertyExtensionTypeImpl`, `FacesConfigPackageImpl.getPropertyExtensionType()`

### PROPERTY_NAME_TYPE

    static final EClass PROPERTY_NAME_TYPE

  The meta object literal for the '`Property Name Type`' class.

  See Also:
    `PropertyNameTypeImpl`, `FacesConfigPackageImpl.getPropertyNameType()`

### PROPERTY_NAME_TYPE__TEXT_CONTENT

    static final EAttribute PROPERTY_NAME_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### PROPERTY_NAME_TYPE__ID

    static final EAttribute PROPERTY_NAME_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### PROPERTY_RESOLVER_TYPE

    static final EClass PROPERTY_RESOLVER_TYPE

  The meta object literal for the '`Property Resolver Type`' class.

  See Also:
    `PropertyResolverTypeImpl`, `FacesConfigPackageImpl.getPropertyResolverType()`

### PROPERTY_RESOLVER_TYPE__TEXT_CONTENT

    static final EAttribute PROPERTY_RESOLVER_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### PROPERTY_RESOLVER_TYPE__ID

    static final EAttribute PROPERTY_RESOLVER_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### PROPERTY_TYPE

    static final EClass PROPERTY_TYPE

  The meta object literal for the '`Property Type`' class.

  See Also:
    `PropertyTypeImpl`, `FacesConfigPackageImpl.getPropertyType()`

### PROPERTY_TYPE__DESCRIPTION

    static final EReference PROPERTY_TYPE__DESCRIPTION

  The meta object literal for the 'Description' containment reference list feature.

### PROPERTY_TYPE__DISPLAY_NAME

    static final EReference PROPERTY_TYPE__DISPLAY_NAME

  The meta object literal for the 'Display Name' containment reference list feature.

### PROPERTY_TYPE__ICON

    static final EReference PROPERTY_TYPE__ICON

  The meta object literal for the 'Icon' containment reference list feature.

### PROPERTY_TYPE__PROPERTY_NAME

    static final EReference PROPERTY_TYPE__PROPERTY_NAME

  The meta object literal for the 'Property Name' containment reference feature.

### PROPERTY_TYPE__PROPERTY_CLASS

    static final EReference PROPERTY_TYPE__PROPERTY_CLASS

  The meta object literal for the 'Property Class' containment reference feature.

### PROPERTY_TYPE__DEFAULT_VALUE

    static final EReference PROPERTY_TYPE__DEFAULT_VALUE

  The meta object literal for the 'Default Value' containment reference feature.

### PROPERTY_TYPE__SUGGESTED_VALUE

    static final EReference PROPERTY_TYPE__SUGGESTED_VALUE

  The meta object literal for the 'Suggested Value' containment reference feature.

### PROPERTY_TYPE__PROPERTY_EXTENSION

    static final EReference PROPERTY_TYPE__PROPERTY_EXTENSION

  The meta object literal for the 'Property Extension' containment reference list feature.

### PROPERTY_TYPE__ID

    static final EAttribute PROPERTY_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### REDIRECT_TYPE

    static final EClass REDIRECT_TYPE

  The meta object literal for the '`Redirect Type`' class.

  See Also:
    `RedirectTypeImpl`, `FacesConfigPackageImpl.getRedirectType()`

### REDIRECT_TYPE__VIEW_PARAM

    static final EReference REDIRECT_TYPE__VIEW_PARAM

  The meta object literal for the 'View Param' containment reference list feature.

### REDIRECT_TYPE__ID

    static final EAttribute REDIRECT_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### REDIRECT_TYPE__INCLUDE_VIEW_PARAMS

    static final EAttribute REDIRECT_TYPE__INCLUDE_VIEW_PARAMS

  The meta object literal for the 'Include View Params' attribute feature.

### REDIRECT_VIEW_PARAM_TYPE

    static final EClass REDIRECT_VIEW_PARAM_TYPE

  The meta object literal for the '`Redirect View Param Type`' class.

  See Also:
    `RedirectViewParamTypeImpl`, `FacesConfigPackageImpl.getRedirectViewParamType()`

### REDIRECT_VIEW_PARAM_TYPE__NAME

    static final EReference REDIRECT_VIEW_PARAM_TYPE__NAME

  The meta object literal for the 'Name' containment reference feature.

### REDIRECT_VIEW_PARAM_TYPE__VALUE

    static final EReference REDIRECT_VIEW_PARAM_TYPE__VALUE

  The meta object literal for the 'Value' containment reference feature.

### REDIRECT_VIEW_PARAM_TYPE__ID

    static final EAttribute REDIRECT_VIEW_PARAM_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### REFERENCED_BEAN_CLASS_TYPE

    static final EClass REFERENCED_BEAN_CLASS_TYPE

  The meta object literal for the '`Referenced Bean Class Type`' class.

  See Also:
    `ReferencedBeanClassTypeImpl`, `FacesConfigPackageImpl.getReferencedBeanClassType()`

### REFERENCED_BEAN_CLASS_TYPE__TEXT_CONTENT

    static final EAttribute REFERENCED_BEAN_CLASS_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### REFERENCED_BEAN_CLASS_TYPE__ID

    static final EAttribute REFERENCED_BEAN_CLASS_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### REFERENCED_BEAN_NAME_TYPE

    static final EClass REFERENCED_BEAN_NAME_TYPE

  The meta object literal for the '`Referenced Bean Name Type`' class.

  See Also:
    `ReferencedBeanNameTypeImpl`, `FacesConfigPackageImpl.getReferencedBeanNameType()`

### REFERENCED_BEAN_NAME_TYPE__TEXT_CONTENT

    static final EAttribute REFERENCED_BEAN_NAME_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### REFERENCED_BEAN_NAME_TYPE__ID

    static final EAttribute REFERENCED_BEAN_NAME_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### REFERENCED_BEAN_TYPE

    static final EClass REFERENCED_BEAN_TYPE

  The meta object literal for the '`Referenced Bean Type`' class.

  See Also:
    `ReferencedBeanTypeImpl`, `FacesConfigPackageImpl.getReferencedBeanType()`

### REFERENCED_BEAN_TYPE__DESCRIPTION

    static final EReference REFERENCED_BEAN_TYPE__DESCRIPTION

  The meta object literal for the 'Description' containment reference list feature.

### REFERENCED_BEAN_TYPE__DISPLAY_NAME

    static final EReference REFERENCED_BEAN_TYPE__DISPLAY_NAME

  The meta object literal for the 'Display Name' containment reference list feature.

### REFERENCED_BEAN_TYPE__ICON

    static final EReference REFERENCED_BEAN_TYPE__ICON

  The meta object literal for the 'Icon' containment reference list feature.

### REFERENCED_BEAN_TYPE__REFERENCED_BEAN_NAME

    static final EReference REFERENCED_BEAN_TYPE__REFERENCED_BEAN_NAME

  The meta object literal for the 'Referenced Bean Name' containment reference feature.

### REFERENCED_BEAN_TYPE__REFERENCED_BEAN_CLASS

    static final EReference REFERENCED_BEAN_TYPE__REFERENCED_BEAN_CLASS

  The meta object literal for the 'Referenced Bean Class' containment reference feature.

### REFERENCED_BEAN_TYPE__ID

    static final EAttribute REFERENCED_BEAN_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### RENDERER_CLASS_TYPE

    static final EClass RENDERER_CLASS_TYPE

  The meta object literal for the '`Renderer Class Type`' class.

  See Also:
    `RendererClassTypeImpl`, `FacesConfigPackageImpl.getRendererClassType()`

### RENDERER_CLASS_TYPE__TEXT_CONTENT

    static final EAttribute RENDERER_CLASS_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### RENDERER_CLASS_TYPE__ID

    static final EAttribute RENDERER_CLASS_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### RENDERER_EXTENSION_TYPE

    static final EClass RENDERER_EXTENSION_TYPE

  The meta object literal for the '`Renderer Extension Type`' class.

  See Also:
    `RendererExtensionTypeImpl`, `FacesConfigPackageImpl.getRendererExtensionType()`

### RENDERER_TYPE

    static final EClass RENDERER_TYPE

  The meta object literal for the '`Renderer Type`' class.

  See Also:
    `RendererTypeImpl`, `FacesConfigPackageImpl.getRendererType()`

### RENDERER_TYPE__DESCRIPTION

    static final EReference RENDERER_TYPE__DESCRIPTION

  The meta object literal for the 'Description' containment reference list feature.

### RENDERER_TYPE__DISPLAY_NAME

    static final EReference RENDERER_TYPE__DISPLAY_NAME

  The meta object literal for the 'Display Name' containment reference list feature.

### RENDERER_TYPE__ICON

    static final EReference RENDERER_TYPE__ICON

  The meta object literal for the 'Icon' containment reference list feature.

### RENDERER_TYPE__COMPONENT_FAMILY

    static final EReference RENDERER_TYPE__COMPONENT_FAMILY

  The meta object literal for the 'Component Family' containment reference feature.

### RENDERER_TYPE__RENDERER_TYPE

    static final EReference RENDERER_TYPE__RENDERER_TYPE

  The meta object literal for the 'Renderer Type' containment reference feature.

### RENDERER_TYPE__RENDERER_CLASS

    static final EReference RENDERER_TYPE__RENDERER_CLASS

  The meta object literal for the 'Renderer Class' containment reference feature.

### RENDERER_TYPE__FACET

    static final EReference RENDERER_TYPE__FACET

  The meta object literal for the 'Facet' containment reference list feature.

### RENDERER_TYPE__ATTRIBUTE

    static final EReference RENDERER_TYPE__ATTRIBUTE

  The meta object literal for the 'Attribute' containment reference list feature.

### RENDERER_TYPE__RENDERER_EXTENSION

    static final EReference RENDERER_TYPE__RENDERER_EXTENSION

  The meta object literal for the 'Renderer Extension' containment reference list feature.

### RENDERER_TYPE__ID

    static final EAttribute RENDERER_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### RENDERER_TYPE_TYPE

    static final EClass RENDERER_TYPE_TYPE

  The meta object literal for the '`Renderer Type Type`' class.

  See Also:
    `RendererTypeTypeImpl`, `FacesConfigPackageImpl.getRendererTypeType()`

### RENDERER_TYPE_TYPE__TEXT_CONTENT

    static final EAttribute RENDERER_TYPE_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### RENDERER_TYPE_TYPE__ID

    static final EAttribute RENDERER_TYPE_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### RENDER_KIT_CLASS_TYPE

    static final EClass RENDER_KIT_CLASS_TYPE

  The meta object literal for the '`Render Kit Class Type`' class.

  See Also:
    `RenderKitClassTypeImpl`, `FacesConfigPackageImpl.getRenderKitClassType()`

### RENDER_KIT_CLASS_TYPE__TEXT_CONTENT

    static final EAttribute RENDER_KIT_CLASS_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### RENDER_KIT_CLASS_TYPE__ID

    static final EAttribute RENDER_KIT_CLASS_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### RENDER_KIT_FACTORY_TYPE

    static final EClass RENDER_KIT_FACTORY_TYPE

  The meta object literal for the '`Render Kit Factory Type`' class.

  See Also:
    `RenderKitFactoryTypeImpl`, `FacesConfigPackageImpl.getRenderKitFactoryType()`

### RENDER_KIT_FACTORY_TYPE__TEXT_CONTENT

    static final EAttribute RENDER_KIT_FACTORY_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### RENDER_KIT_FACTORY_TYPE__ID

    static final EAttribute RENDER_KIT_FACTORY_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### RENDER_KIT_ID_TYPE

    static final EClass RENDER_KIT_ID_TYPE

  The meta object literal for the '`Render Kit Id Type`' class.

  See Also:
    `RenderKitIdTypeImpl`, `FacesConfigPackageImpl.getRenderKitIdType()`

### RENDER_KIT_ID_TYPE__TEXT_CONTENT

    static final EAttribute RENDER_KIT_ID_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### RENDER_KIT_ID_TYPE__ID

    static final EAttribute RENDER_KIT_ID_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### RENDER_KIT_TYPE

    static final EClass RENDER_KIT_TYPE

  The meta object literal for the '`Render Kit Type`' class.

  See Also:
    `RenderKitTypeImpl`, `FacesConfigPackageImpl.getRenderKitType()`

### RENDER_KIT_TYPE__DESCRIPTION

    static final EReference RENDER_KIT_TYPE__DESCRIPTION

  The meta object literal for the 'Description' containment reference list feature.

### RENDER_KIT_TYPE__DISPLAY_NAME

    static final EReference RENDER_KIT_TYPE__DISPLAY_NAME

  The meta object literal for the 'Display Name' containment reference list feature.

### RENDER_KIT_TYPE__ICON

    static final EReference RENDER_KIT_TYPE__ICON

  The meta object literal for the 'Icon' containment reference list feature.

### RENDER_KIT_TYPE__RENDER_KIT_ID

    static final EReference RENDER_KIT_TYPE__RENDER_KIT_ID

  The meta object literal for the 'Render Kit Id' containment reference feature.

### RENDER_KIT_TYPE__RENDER_KIT_CLASS

    static final EReference RENDER_KIT_TYPE__RENDER_KIT_CLASS

  The meta object literal for the 'Render Kit Class' containment reference feature.

### RENDER_KIT_TYPE__RENDERER

    static final EReference RENDER_KIT_TYPE__RENDERER

  The meta object literal for the 'Renderer' containment reference list feature.

### RENDER_KIT_TYPE__CLIENT_BEHAVIOR_RENDERER

    static final EReference RENDER_KIT_TYPE__CLIENT_BEHAVIOR_RENDERER

  The meta object literal for the 'Client Behavior Renderer' containment reference list feature.

### RENDER_KIT_TYPE__RENDER_KIT_EXTENSION

    static final EReference RENDER_KIT_TYPE__RENDER_KIT_EXTENSION

  The meta object literal for the 'Render Kit Extension' containment reference list feature.

### RENDER_KIT_TYPE__ID

    static final EAttribute RENDER_KIT_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### SMALL_ICON_TYPE

    static final EClass SMALL_ICON_TYPE

  The meta object literal for the '`Small Icon Type`' class.

  See Also:
    `SmallIconTypeImpl`, `FacesConfigPackageImpl.getSmallIconType()`

### SMALL_ICON_TYPE__TEXT_CONTENT

    static final EAttribute SMALL_ICON_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### SMALL_ICON_TYPE__ID

    static final EAttribute SMALL_ICON_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### SOURCE_CLASS_TYPE

    static final EClass SOURCE_CLASS_TYPE

  The meta object literal for the '`Source Class Type`' class.

  See Also:
    `SourceClassTypeImpl`, `FacesConfigPackageImpl.getSourceClassType()`

### SOURCE_CLASS_TYPE__TEXT_CONTENT

    static final EAttribute SOURCE_CLASS_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### SOURCE_CLASS_TYPE__ID

    static final EAttribute SOURCE_CLASS_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### STATE_MANAGER_TYPE

    static final EClass STATE_MANAGER_TYPE

  The meta object literal for the '`State Manager Type`' class.

  See Also:
    `StateManagerTypeImpl`, `FacesConfigPackageImpl.getStateManagerType()`

### STATE_MANAGER_TYPE__TEXT_CONTENT

    static final EAttribute STATE_MANAGER_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### STATE_MANAGER_TYPE__ID

    static final EAttribute STATE_MANAGER_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### SUGGESTED_VALUE_TYPE

    static final EClass SUGGESTED_VALUE_TYPE

  The meta object literal for the '`Suggested Value Type`' class.

  See Also:
    `SuggestedValueTypeImpl`, `FacesConfigPackageImpl.getSuggestedValueType()`

### SUGGESTED_VALUE_TYPE__TEXT_CONTENT

    static final EAttribute SUGGESTED_VALUE_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### SUGGESTED_VALUE_TYPE__ID

    static final EAttribute SUGGESTED_VALUE_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### SUPPORTED_LOCALE_TYPE

    static final EClass SUPPORTED_LOCALE_TYPE

  The meta object literal for the '`Supported Locale Type`' class.

  See Also:
    `SupportedLocaleTypeImpl`, `FacesConfigPackageImpl.getSupportedLocaleType()`

### SUPPORTED_LOCALE_TYPE__TEXT_CONTENT

    static final EAttribute SUPPORTED_LOCALE_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### SUPPORTED_LOCALE_TYPE__ID

    static final EAttribute SUPPORTED_LOCALE_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### SYSTEM_EVENT_CLASS_TYPE

    static final EClass SYSTEM_EVENT_CLASS_TYPE

  The meta object literal for the '`System Event Class Type`' class.

  See Also:
    `SystemEventClassTypeImpl`, `FacesConfigPackageImpl.getSystemEventClassType()`

### SYSTEM_EVENT_CLASS_TYPE__TEXT_CONTENT

    static final EAttribute SYSTEM_EVENT_CLASS_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### SYSTEM_EVENT_CLASS_TYPE__ID

    static final EAttribute SYSTEM_EVENT_CLASS_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### SYSTEM_EVENT_LISTENER_CLASS_TYPE

    static final EClass SYSTEM_EVENT_LISTENER_CLASS_TYPE

  The meta object literal for the '`System Event Listener Class Type`' class.

  See Also:
    `SystemEventListenerClassTypeImpl`, `FacesConfigPackageImpl.getSystemEventListenerClassType()`

### SYSTEM_EVENT_LISTENER_CLASS_TYPE__TEXT_CONTENT

    static final EAttribute SYSTEM_EVENT_LISTENER_CLASS_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### SYSTEM_EVENT_LISTENER_CLASS_TYPE__ID

    static final EAttribute SYSTEM_EVENT_LISTENER_CLASS_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### SYSTEM_EVENT_LISTENER_TYPE

    static final EClass SYSTEM_EVENT_LISTENER_TYPE

  The meta object literal for the '`System Event Listener Type`' class.

  See Also:
    `SystemEventListenerTypeImpl`, `FacesConfigPackageImpl.getSystemEventListenerType()`

### SYSTEM_EVENT_LISTENER_TYPE__SYSTEM_EVENT_LISTENER_CLASS

    static final EReference SYSTEM_EVENT_LISTENER_TYPE__SYSTEM_EVENT_LISTENER_CLASS

  The meta object literal for the 'System Event Listener Class' containment reference feature.

### SYSTEM_EVENT_LISTENER_TYPE__SYSTEM_EVENT_CLASS

    static final EReference SYSTEM_EVENT_LISTENER_TYPE__SYSTEM_EVENT_CLASS

  The meta object literal for the 'System Event Class' containment reference feature.

### SYSTEM_EVENT_LISTENER_TYPE__SOURCE_CLASS

    static final EReference SYSTEM_EVENT_LISTENER_TYPE__SOURCE_CLASS

  The meta object literal for the 'Source Class' containment reference feature.

### SYSTEM_EVENT_LISTENER_TYPE__ID

    static final EAttribute SYSTEM_EVENT_LISTENER_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### TAG_HANDLER_DELEGATE_FACTORY_TYPE

    static final EClass TAG_HANDLER_DELEGATE_FACTORY_TYPE

  The meta object literal for the '`Tag Handler Delegate Factory Type`' class.

  See Also:
    `TagHandlerDelegateFactoryTypeImpl`, `FacesConfigPackageImpl.getTagHandlerDelegateFactoryType()`

### TAG_HANDLER_DELEGATE_FACTORY_TYPE__TEXT_CONTENT

    static final EAttribute TAG_HANDLER_DELEGATE_FACTORY_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### TAG_HANDLER_DELEGATE_FACTORY_TYPE__ID

    static final EAttribute TAG_HANDLER_DELEGATE_FACTORY_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### TO_VIEW_ID_TYPE

    static final EClass TO_VIEW_ID_TYPE

  The meta object literal for the '`To View Id Type`' class.

  See Also:
    `ToViewIdTypeImpl`, `FacesConfigPackageImpl.getToViewIdType()`

### TO_VIEW_ID_TYPE__TEXT_CONTENT

    static final EAttribute TO_VIEW_ID_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### TO_VIEW_ID_TYPE__ID

    static final EAttribute TO_VIEW_ID_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### VALIDATOR_CLASS_TYPE

    static final EClass VALIDATOR_CLASS_TYPE

  The meta object literal for the '`Validator Class Type`' class.

  See Also:
    `ValidatorClassTypeImpl`, `FacesConfigPackageImpl.getValidatorClassType()`

### VALIDATOR_CLASS_TYPE__TEXT_CONTENT

    static final EAttribute VALIDATOR_CLASS_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### VALIDATOR_CLASS_TYPE__ID

    static final EAttribute VALIDATOR_CLASS_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### VALIDATOR_ID_TYPE

    static final EClass VALIDATOR_ID_TYPE

  The meta object literal for the '`Validator Id Type`' class.

  See Also:
    `ValidatorIdTypeImpl`, `FacesConfigPackageImpl.getValidatorIdType()`

### VALIDATOR_ID_TYPE__TEXT_CONTENT

    static final EAttribute VALIDATOR_ID_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### VALIDATOR_ID_TYPE__ID

    static final EAttribute VALIDATOR_ID_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### VALIDATOR_TYPE

    static final EClass VALIDATOR_TYPE

  The meta object literal for the '`Validator Type`' class.

  See Also:
    `ValidatorTypeImpl`, `FacesConfigPackageImpl.getValidatorType()`

### VALIDATOR_TYPE__DESCRIPTION

    static final EReference VALIDATOR_TYPE__DESCRIPTION

  The meta object literal for the 'Description' containment reference list feature.

### VALIDATOR_TYPE__DISPLAY_NAME

    static final EReference VALIDATOR_TYPE__DISPLAY_NAME

  The meta object literal for the 'Display Name' containment reference list feature.

### VALIDATOR_TYPE__ICON

    static final EReference VALIDATOR_TYPE__ICON

  The meta object literal for the 'Icon' containment reference list feature.

### VALIDATOR_TYPE__VALIDATOR_ID

    static final EReference VALIDATOR_TYPE__VALIDATOR_ID

  The meta object literal for the 'Validator Id' containment reference feature.

### VALIDATOR_TYPE__VALIDATOR_CLASS

    static final EReference VALIDATOR_TYPE__VALIDATOR_CLASS

  The meta object literal for the 'Validator Class' containment reference feature.

### VALIDATOR_TYPE__ATTRIBUTE

    static final EReference VALIDATOR_TYPE__ATTRIBUTE

  The meta object literal for the 'Attribute' containment reference list feature.

### VALIDATOR_TYPE__PROPERTY

    static final EReference VALIDATOR_TYPE__PROPERTY

  The meta object literal for the 'Property' containment reference list feature.

### VALIDATOR_TYPE__VALIDATOR_EXTENSION

    static final EReference VALIDATOR_TYPE__VALIDATOR_EXTENSION

  The meta object literal for the 'Validator Extension' containment reference list feature.

### VALIDATOR_TYPE__ID

    static final EAttribute VALIDATOR_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### VALUE_CLASS_TYPE

    static final EClass VALUE_CLASS_TYPE

  The meta object literal for the '`Value Class Type`' class.

  See Also:
    `ValueClassTypeImpl`, `FacesConfigPackageImpl.getValueClassType()`

### VALUE_CLASS_TYPE__TEXT_CONTENT

    static final EAttribute VALUE_CLASS_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### VALUE_CLASS_TYPE__ID

    static final EAttribute VALUE_CLASS_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### VALUE_TYPE

    static final EClass VALUE_TYPE

  The meta object literal for the '`Value Type`' class.

  See Also:
    `ValueTypeImpl`, `FacesConfigPackageImpl.getValueType()`

### VALUE_TYPE__TEXT_CONTENT

    static final EAttribute VALUE_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### VALUE_TYPE__ID

    static final EAttribute VALUE_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### VARIABLE_RESOLVER_TYPE

    static final EClass VARIABLE_RESOLVER_TYPE

  The meta object literal for the '`Variable Resolver Type`' class.

  See Also:
    `VariableResolverTypeImpl`, `FacesConfigPackageImpl.getVariableResolverType()`

### VARIABLE_RESOLVER_TYPE__TEXT_CONTENT

    static final EAttribute VARIABLE_RESOLVER_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### VARIABLE_RESOLVER_TYPE__ID

    static final EAttribute VARIABLE_RESOLVER_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### VIEW_HANDLER_TYPE

    static final EClass VIEW_HANDLER_TYPE

  The meta object literal for the '`View Handler Type`' class.

  See Also:
    `ViewHandlerTypeImpl`, `FacesConfigPackageImpl.getViewHandlerType()`

### VIEW_HANDLER_TYPE__TEXT_CONTENT

    static final EAttribute VIEW_HANDLER_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### VIEW_HANDLER_TYPE__ID

    static final EAttribute VIEW_HANDLER_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### RESOURCE_BUNDLE_TYPE

    static final EClass RESOURCE_BUNDLE_TYPE

  The meta object literal for the '`Resource Bundle Type`' class.

  See Also:
    `ResourceBundleTypeImpl`, `FacesConfigPackageImpl.getResourceBundleType()`

### RESOURCE_BUNDLE_TYPE__DESCRIPTION

    static final EReference RESOURCE_BUNDLE_TYPE__DESCRIPTION

  The meta object literal for the 'Description' containment reference list feature.

### RESOURCE_BUNDLE_TYPE__DISPLAY_NAME

    static final EReference RESOURCE_BUNDLE_TYPE__DISPLAY_NAME

  The meta object literal for the 'Display Name' containment reference list feature.

### RESOURCE_BUNDLE_TYPE__ICON

    static final EReference RESOURCE_BUNDLE_TYPE__ICON

  The meta object literal for the 'Icon' containment reference list feature.

### RESOURCE_BUNDLE_TYPE__BASE_NAME

    static final EReference RESOURCE_BUNDLE_TYPE__BASE_NAME

  The meta object literal for the 'Base Name' reference feature.

### RESOURCE_BUNDLE_TYPE__VAR

    static final EReference RESOURCE_BUNDLE_TYPE__VAR

  The meta object literal for the 'Var' reference feature.

### RESOURCE_BUNDLE_TYPE__ID

    static final EAttribute RESOURCE_BUNDLE_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### BASE_NAME_TYPE

    static final EClass BASE_NAME_TYPE

  The meta object literal for the '`Base Name Type`' class.

  See Also:
    `BaseNameTypeImpl`, `FacesConfigPackageImpl.getBaseNameType()`

### BASE_NAME_TYPE__TEXT_CONTENT

    static final EAttribute BASE_NAME_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### BASE_NAME_TYPE__ID

    static final EAttribute BASE_NAME_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### VAR_TYPE

    static final EClass VAR_TYPE

  The meta object literal for the '`Var Type`' class.

  See Also:
    `VarTypeImpl`, `FacesConfigPackageImpl.getVarType()`

### VAR_TYPE__TEXT_CONTENT

    static final EAttribute VAR_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### VAR_TYPE__ID

    static final EAttribute VAR_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### VIEW_DECLARATION_LANGUAGE_FACTORY_TYPE

    static final EClass VIEW_DECLARATION_LANGUAGE_FACTORY_TYPE

  The meta object literal for the '`View Declaration Language Factory Type`' class.

  See Also:
    `ViewDeclarationLanguageFactoryTypeImpl`, `FacesConfigPackageImpl.getViewDeclarationLanguageFactoryType()`

### VIEW_DECLARATION_LANGUAGE_FACTORY_TYPE__TEXT_CONTENT

    static final EAttribute VIEW_DECLARATION_LANGUAGE_FACTORY_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### VIEW_DECLARATION_LANGUAGE_FACTORY_TYPE__ID

    static final EAttribute VIEW_DECLARATION_LANGUAGE_FACTORY_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### VISIT_CONTEXT_FACTORY_TYPE

    static final EClass VISIT_CONTEXT_FACTORY_TYPE

  The meta object literal for the '`Visit Context Factory Type`' class.

  See Also:
    `VisitContextFactoryTypeImpl`, `FacesConfigPackageImpl.getVisitContextFactoryType()`

### VISIT_CONTEXT_FACTORY_TYPE__TEXT_CONTENT

    static final EAttribute VISIT_CONTEXT_FACTORY_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### VISIT_CONTEXT_FACTORY_TYPE__ID

    static final EAttribute VISIT_CONTEXT_FACTORY_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### RENDER_KIT_EXTENSION_TYPE

    static final EClass RENDER_KIT_EXTENSION_TYPE

  The meta object literal for the '`Render Kit Extension Type`' class.

  See Also:
    `RenderKitExtensionTypeImpl`, `FacesConfigPackageImpl.getRenderKitExtensionType()`

### RESOURCE_HANDLER_TYPE

    static final EClass RESOURCE_HANDLER_TYPE

  The meta object literal for the '`Resource Handler Type`' class.

  See Also:
    `ResourceHandlerTypeImpl`, `FacesConfigPackageImpl.getResourceHandlerType()`

### RESOURCE_HANDLER_TYPE__TEXT_CONTENT

    static final EAttribute RESOURCE_HANDLER_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### RESOURCE_HANDLER_TYPE__ID

    static final EAttribute RESOURCE_HANDLER_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### NAVIGATION_RULE_EXTENSION_TYPE

    static final EClass NAVIGATION_RULE_EXTENSION_TYPE

  The meta object literal for the '`Navigation Rule Extension Type`' class.

  See Also:
    `NavigationRuleExtensionTypeImpl`, `FacesConfigPackageImpl.getNavigationRuleExtensionType()`

### VALIDATOR_EXTENSION_TYPE

    static final EClass VALIDATOR_EXTENSION_TYPE

  The meta object literal for the '`Validator Extension Type`' class.

  See Also:
    `ValidatorExtensionTypeImpl`, `FacesConfigPackageImpl.getValidatorExtensionType()`

### FACES_CONFIG_EXTENSION_TYPE

    static final EClass FACES_CONFIG_EXTENSION_TYPE

  The meta object literal for the '`Extension Type`' class.

  See Also:
    `FacesConfigExtensionTypeImpl`, `FacesConfigPackageImpl.getFacesConfigExtensionType()`

### FACTORY_EXTENSION_TYPE

    static final EClass FACTORY_EXTENSION_TYPE

  The meta object literal for the '`Factory Extension Type`' class.

  See Also:
    `FactoryExtensionTypeImpl`, `FacesConfigPackageImpl.getFactoryExtensionType()`

### LIFECYCLE_EXTENSION_TYPE

    static final EClass LIFECYCLE_EXTENSION_TYPE

  The meta object literal for the '`Lifecycle Extension Type`' class.

  See Also:
    `LifecycleExtensionTypeImpl`, `FacesConfigPackageImpl.getLifecycleExtensionType()`

### MANAGED_BEAN_EXTENSION_TYPE

    static final EClass MANAGED_BEAN_EXTENSION_TYPE

  The meta object literal for the '`Managed Bean Extension Type`' class.

  See Also:
    `ManagedBeanExtensionTypeImpl`, `FacesConfigPackageImpl.getManagedBeanExtensionType()`

### CONVERTER_EXTENSION_TYPE

    static final EClass CONVERTER_EXTENSION_TYPE

  The meta object literal for the '`Converter Extension Type`' class.

  See Also:
    `ConverterExtensionTypeImpl`, `FacesConfigPackageImpl.getConverterExtensionType()`

### EXTENSION_TYPE

    static final EClass EXTENSION_TYPE

  The meta object literal for the '`Extension Type`' class.

  See Also:
    `ExtensionTypeImpl`, `FacesConfigPackageImpl.getExtensionType()`

### EXTENSION_TYPE__CHILD_NODES

    static final EReference EXTENSION_TYPE__CHILD_NODES

  The meta object literal for the 'Child Nodes' reference list feature.

### EXTENSION_TYPE__TEXT_CONTENT

    static final EAttribute EXTENSION_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### EXTENSION_TYPE__ID

    static final EAttribute EXTENSION_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### EXTERNAL_CONTEXT_FACTORY_TYPE

    static final EClass EXTERNAL_CONTEXT_FACTORY_TYPE

  The meta object literal for the '`External Context Factory Type`' class.

  See Also:
    `ExternalContextFactoryTypeImpl`, `FacesConfigPackageImpl.getExternalContextFactoryType()`

### EXTERNAL_CONTEXT_FACTORY_TYPE__TEXT_CONTENT

    static final EAttribute EXTERNAL_CONTEXT_FACTORY_TYPE__TEXT_CONTENT

  The meta object literal for the 'Text Content' attribute feature.

### EXTERNAL_CONTEXT_FACTORY_TYPE__ID

    static final EAttribute EXTERNAL_CONTEXT_FACTORY_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### APPLICATION_EXTENSION_TYPE

    static final EClass APPLICATION_EXTENSION_TYPE

  The meta object literal for the '`Application Extension Type`' class.

  See Also:
    `ApplicationExtensionTypeImpl`, `FacesConfigPackageImpl.getApplicationExtensionType()`